firmware-nonfree (20241210-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update to linux-support-6.12.8
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jan 2025 23:08:22 -0800

firmware-nonfree (20241210-1) unstable; urgency=medium

  * New upstream version:
    - Add a link from TAS2XXX1EB3.bin -> ti/tas2781/TAS2XXX1EB30.bin
    - Add firmware for Cirrus CS35L41
    - amdgpu: add GC 11.5.2 microcode
    - amdgpu: add gc 12.0.0 firmware
    - amdgpu: add gc 12.0.1 firmware
    - amdgpu: add gc 9.4.4 firmware
    - amdgpu: add psp 13.0.14 firmware
    - amdgpu: add psp 14.0.2 firmware
    - amdgpu: add psp 14.0.3 firmware
    - amdgpu: add sdma 4.4.5 firmware
    - amdgpu: add SDMA 6.1.2 microcode
    - amdgpu: add sdma 7.0.0 firmware
    - amdgpu: add sdma 7.0.1 firmware
    - amdgpu: add smu 13.0.14 firmware
    - amdgpu: add smu 14.0.2 firmware
    - amdgpu: add smu 14.0.3 firmware
    - amdgpu: Add support for PSP 14.0.4
    - amdgpu: add vcn 5.0.0 firmware
    - amdgpu: Add VPE 6.1.3 microcode
    - amdgpu: DMCUB DCN35 update
    - amdgpu: DMCUB updates for various AMDGPU ASICs
    - amdgpu: DMCUB updates forvarious AMDGPU ASICs
    - amdgpu: update aldebaran firmware
    - amdgpu: update arcturus firmware
    - amdgpu: update beige goby firmware
    - amdgpu: update dimgrey cavefish firmware
    - amdgpu: update dmcub 0.0.246.0 firmware
    - amdgpu: update DMCUB to v0.0.233.0 DCN351
    - amdgpu: update DMCUB to v9.0.10.0 for DCN314
    - amdgpu: update DMCUB to v9.0.10.0 for DCN351
    - amdgpu: update GC 11.0.0 firmware
    - amdgpu: update GC 11.0.1 firmware
    - amdgpu: update GC 11.0.2 firmware
    - amdgpu: update GC 11.0.3 firmware
    - amdgpu: update gc 11.0.4 firmware
    - amdgpu: update GC 11.5.0 firmware
    - amdgpu: update GC 11.5.1 firmware
    - amdgpu: update GC 11.5.2 firmware
    - amdgpu: update GC 9.4.3 firmware
    - amdgpu: update green sardine firmware
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update picasso firmware
    - amdgpu: update PSP 13.0.0 firmware
    - amdgpu: update PSP 13.0.10 firmware
    - amdgpu: update psp 13.0.11 firmware
    - amdgpu: update psp 13.0.14 firmware
    - amdgpu: update PSP 13.0.4 firmware
    - amdgpu: update PSP 13.0.5 firmware
    - amdgpu: update PSP 13.0.6 firmware
    - amdgpu: update PSP 13.0.7 firmware
    - amdgpu: update PSP 13.0.8 firmware
    - amdgpu: update PSP 14.0.0 firmware
    - amdgpu: update PSP 14.0.1 firmware
    - amdgpu: update PSP 14.0.4 firmware
    - amdgpu: update raven firmware
    - amdgpu: update renoir firmware
    - amdgpu: update sdma 4.4.2 firmware
    - amdgpu: update SDMA 4.4.2 firmware
    - amdgpu: update sdma 6.0.3 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update smu 13.0.0 firmware
    - amdgpu: update SMU 13.0.10 firmware
    - amdgpu: update SMU 13.0.6 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update VCN 3.1.2 firmware
    - amdgpu: update VCN 4.0.0 firmware
    - amdgpu: update VCN 4.0.2 firmware
    - amdgpu: update VCN 4.0.4 firmware
    - amdgpu: update VCN 4.0.5 firmware
    - amdgpu: update VCN 4.0.6 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - amdgpu: update vpe 6.1.1 firmware
    - amdgpu: update vpe 6.1.3 firmware
    - amdgpu: update yellow carp firmware
    - ath11k: move WCN6750 firmware to the device-specific subdir
    - ath12k: WCN7850 hw2.0: update board-2.bin
    - brcm: Add BCM4354 NVRAM for Jetson TX1
    - brcm: Link FriendlyElec NanoPi M4 to AP6356S nvram
    - brcm: replace NVRAM for Jetson TX1
    - check_whence.py: ban link-to-a-link
    - cirrus: cs35l56: Add firmware for Cirrus Amps for some HP laptops
    - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for a Lenovo Laptop
    - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for some ASUS laptops
    - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for various Dell laptops
    - cirrus: cs35l56: Update firmware for Cirrus Amps for some HP laptops
    - cnm: update chips&media wave521c firmware.
    - i915: Add Xe3LPD DMC
    - i915: Update GUC to v70.36.0 for ADL-P, DG1, DG2, MTL, TGL
    - i915: Update MTL/ARL GSC to v102.1.15.1926
    - i915: Update Xe2LPD DMC to v2.23
    - i915: Update Xe2LPD DMC to v2.24
    - ice: update ice DDP comms package to 1.3.52.0
    - ice: update ice DDP package to ice-1.3.41.0
    - ice: update ice DDP wireless_edge package to 1.3.20.0
    - iwlwifi: add Bz-gf FW for core89-91 release
    - iwlwifi: add Bz-gf FW for core91-69 release
    - iwlwifi: add gl/Bz FW for core91-69 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core91-69 release
    - iwlwifi: update ty/So/Ma firmwares for core91-69 release
    - mediatek MT7921: update bluetooth firmware to 20241106151414
    - mediatek MT7922: update bluetooth firmware to 20241106163512
    - mediatek: Add sof-tolg for mt8195
    - mtk_wed: add firmware for mt7988 Wireless Ethernet Dispatcher
    - QCA: Add 22 bluetooth firmware nvm files for QCA2066
    - QCA: Add Bluetooth firmwares for WCN785x with UART transport
    - QCA: Add Bluetooth nvm files for WCN785x
    - QCA: Update Bluetooth WCN785x firmware to 2.0.0-00515-2
    - qcom: Add link for QCS6490 GPU firmware
    - qcom: Add QDU100 firmware image files.
    - qcom: Update aic100 firmware files
    - qcom: update gpu firmwares for qcm6490 chipset
    - qcom: update gpu firmwares for qcs615 chipset
    - qcom: update venus firmware file for SC7280
    - qcom: venus-5.4: add venus firmware file for qcs615
    - Remove execute bit from firmware files
    - Revert "ath12k: WCN7850 hw2.0: update board-2.bin"
    - rtl_bt: Update RTL8852B BT USB FW to 0x0447_9301
    - rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x04D7_63F7
    - rtl_nic: add firmware rtl8125d-1
    - rtlwifi: Add firmware v39.0 for RTL8192DU
    - rtlwifi: Update firmware for RTL8192FU to v7.3
    - rtw88: Add firmware v52.14.0 for RTL8812AU
    - rtw89: 8852a: update fw to v0.13.36.2
    - rtw89: 8922a: add fw format-2 v0.35.42.1
    - tas2781: Upload dsp firmware for ASUS laptop 1EB30 & 1EB31
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Bluetooth Magnetor core
    - Update firmware file for Intel Bluetooth Solar core
    - update firmware for en8811h 2.5G ethernet phy
    - update firmware for mediatek bluetooth chip (MT7925)
    - update firmware for MT7921 WiFi device
    - update firmware for MT7922 WiFi device
    - update firmware for MT7925 WiFi device
    - xe: Update GUC to v70.36.0 for BMG, LNL
    - xe: Update LNL GSC to v104.0.0.1263

  [ Ben Hutchings ]
  * d/copyright: Stop excluding wsm_22.bin, which is distributable
  * atheros: Remove some long-obsolete ath9k firmware files
  * qlogic: Remove qed firmware versions not used in any Debian release
  * intel-graphics: Remove firmware versions not used in any Debian release
  * iwlwifi: Remove firmware version not used in any Debian release
  * d/copyright: Exclude currently unreferenced amlogic/*
  * copy-firmware: Don't create links to excluded files
  * d/copyright: Exclude some newly added files to limit orig tarball size
  * Revert "copy-firmware.sh: remove no longer reachable test -f"
  * Revert "copy-firmware.sh: call ./check_whence.py before parsing the file"
  * d/rules: Run dedup-firmware.sh after copy-firmware.sh
  * Update to linux-support-6.12.5

 -- Ben Hutchings <benh@debian.org>  Thu, 19 Dec 2024 22:13:29 +0100

firmware-nonfree (20240909-2) unstable; urgency=medium

  * realtek: Add Conflicts and Replaces against firmware-realtek-rtl8723cs-bt
    (Closes: #1084791)

 -- Ben Hutchings <benh@debian.org>  Wed, 30 Oct 2024 04:42:36 +0100

firmware-nonfree (20240909-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: DMCUB updates for various AMDGPU ASICs
    - amdgpu: DMCUB updates forvarious AMDGPU ASICs
    - amdgpu: Revert sienna cichlid dmcub firmware update
    - amdgpu: update DMCUB to v0.0.232.0 for DCN314 and DCN351
    - ath11k: IPQ5018 hw1.0: update to
      WLAN.HK.2.6.0.1-01291-QCAHKSWPL_SILICONZ-1
    - ath11k: QCA2066 hw2.1: add board-2.bin
    - ath11k: QCA2066 hw2.1: add to
      WLAN.HSP.1.1-03926.13-QCAHSPSWPL_V2_SILICONZ_CE-2.52297.3
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - ath11k: WCN6855 hw2.0: update to
      WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.41
    - cirrus: cs35l56: Add firmware for Cirrus CS35L54 for some HP laptops
    - i915: Update MTL DMC v2.23
    - iwlwifi: add Bz FW for core89-58 release
    - qcom: vpu: add video firmware for sa8775p
    - qcom: vpu: restore compatibility with kernels before 6.6
    - rename rtl8723bs_config-OBDA8723.bin -> rtl_bt/rtl8723bs_config.bin
    - Revert "i915: Update MTL DMC v2.22"
    - rtl_bt: Add firmware and config files for RTL8922A
    - rtl_bt: Add firmware file for the the RTL8723CS Bluetooth part
    - rtl_bt: de-dupe identical config.bin files
    - rtl_nic: add firmware rtl8126a-3
    - rtw89: 8922a: add fw format-1 v0.35.41.0
    - update firmware for mediatek bluetooth chip (MT7921)
    - update firmware for mediatek bluetooth chip (MT7925)
    - update firmware for MT7921 WiFi device
    - update firmware for MT7925 WiFi device
    - update firmware for MT7996

  [ Ben Hutchings ]
  * d/watch: Tighten tag regexp to work with upstream as a remote
  * d/salsa-ci.yml: Use uscan option to speed up Git export with Files-Excluded
  * Revert "ath12k: WCN7850 hw2.0: update board-2.bin" due to regression
  * Update to linux-support-6.11.2

 -- Ben Hutchings <benh@debian.org>  Mon, 07 Oct 2024 23:52:47 +0200

firmware-nonfree (20240811-1) unstable; urgency=medium

  * New upstream version:
    - add firmware for qat_402xx devices
    - amdgpu: DMCUB updates for DCN314
    - amdgpu: update aldebaran firmware
    - amdgpu: update beige goby firmware
    - amdgpu: update dimgrey cavefish firmware
    - amdgpu: update DMCUB to v0.0.225.0 for Various AMDGPU Asics
    - amdgpu: update DMCUB to v0.0.227.0 for DCN35 and DCN351
    - amdgpu: update GC 11.0.0 firmware
    - amdgpu: update GC 11.0.1 firmware
    - amdgpu: update GC 11.0.2 firmware
    - amdgpu: update GC 11.0.3 firmware
    - amdgpu: update GC 11.0.4 firmware
    - amdgpu: update GC 11.5.0 firmware
    - amdgpu: update GC 11.5.1 firmware
    - amdgpu: update GC 9.4.3 firmware
    - amdgpu: update green sardine firmware
    - amdgpu: Update ISP FW for isp v4.1.1
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update picasso firmware
    - amdgpu: update PSP 13.0.0 firmware
    - amdgpu: update PSP 13.0.10 firmware
    - amdgpu: update PSP 13.0.11 firmware
    - amdgpu: update PSP 13.0.4 firmware
    - amdgpu: update PSP 13.0.5 firmware
    - amdgpu: update PSP 13.0.6 firmware
    - amdgpu: update PSP 13.0.7 firmware
    - amdgpu: update PSP 13.0.8 firmware
    - amdgpu: update PSP 14.0.0 firmware
    - amdgpu: update PSP 14.0.1 firmware
    - amdgpu: update raven firmware
    - amdgpu: update raven2 firmware
    - amdgpu: update renoir firmware
    - amdgpu: update SDMA 6.0.0 firmware
    - amdgpu: update SDMA 6.0.1 firmware
    - amdgpu: update SDMA 6.0.2 firmware
    - amdgpu: update SDMA 6.0.3 firmware
    - amdgpu: update SDMA 6.1.0 firmware
    - amdgpu: update SDMA 6.1.1 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update SMU 13.0.10 firmware
    - amdgpu: update SMU 13.0.7 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update VCN 4.0.0 firmware
    - amdgpu: update VCN 4.0.2 firmware
    - amdgpu: update VCN 4.0.4 firmware
    - amdgpu: update VCN 4.0.5 firmware
    - amdgpu: update VCN 4.0.6 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - amdgpu: update VPE 6.1.1 firmware
    - amdgpu: update yellow carp firmware
    - i915: Add GuC v70.29.2 for ADL-P, DG1, DG2, MTL, and TGL
    - i915: update DG2 HuC to v7.10.16
    - i915: Update MTL DMC v2.22
    - i915: update MTL GSC to v102.0.10.1878
    - i915: Update Xe2LPD DMC to v2.21
    - intel: avs: Add topology file for Digital Microphone Array
    - intel: avs: Add topology file for HDAudio codecs
    - intel: avs: Add topology file for HDMI codecs
    - intel: avs: Add topology file for I2S Analog Devices 4567
    - intel: avs: Add topology file for I2S Dialog 7219
    - intel: avs: Add topology file for I2S Maxim 98357a
    - intel: avs: Add topology file for I2S Maxim 98373
    - intel: avs: Add topology file for I2S Maxim 98927
    - intel: avs: Add topology file for I2S Nuvoton 8825
    - intel: avs: Add topology file for I2S Realtek 274
    - intel: avs: Add topology file for I2S Realtek 286
    - intel: avs: Add topology file for I2S Realtek 298
    - intel: avs: Add topology file for I2S Realtek 5514
    - intel: avs: Add topology file for I2S Realtek 5640
    - intel: avs: Add topology file for I2S Realtek 5663
    - intel: avs: Update AudioDSP base firmware for APL-based platforms
    - iwlwifi: add gl FW for core89-58 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core89-58 release
    - iwlwifi: update ty/So/Ma firmwares for core89-58 release
    - mediatek: Update mt8195 SOF firmware
    - mediatek: Update mt8195 SOF firmware and sof-tplg
    - QCA: Update Bluetooth QCA2066 firmware to 2.1.0-00641
    - QCA: Update Bluetooth WCN685x 2.1 firmware to 2.1.0-00642
    - qcom: add gpu firmwares for x1e80100 chipset
    - qcom: add video firmware file for vpu-3.0
    - qcom: move signed x1e80100 signed firmware to the SoC subdir
    - qcom: update path for video firmware for vpu-1/2/3.0
    - Revert "iwlwifi: update ty/So/Ma firmwares for core89-58 release"
    - rtl_bt: Update RTL8852B BT USB FW to 0x048F_4008
    - rtw89: 8852bt: add firmware 0.29.91.0
    - rtw89: 8852c: add fw format-1 v0.27.97.0
    - update firmware for mediatek bluetooth chip (MT7921)
    - update firmware for mediatek bluetooth chip (MT7922)
    - update firmware for MT7921 WiFi device
    - update firmware for MT7922 WiFi device
    - xe: Add BMG HuC 8.2.10
    - xe: Add GSC 104.0.0.1161 for LNL
    - xe: Add GuC v70.29.2 for LNL
    - xe: Add LNL HuC 9.4.13
    - xe: First GuC release v70.29.2 for BMG

  [ Dmitry Baryshkov ]
  * d/patches: drop tas2781 license fix, applied upstream
  * d/patches/gitignore.patch: refresh
  * d/bin/check_upstream: allow Apache-2.0 licence
  * d/copyright: add Intel AVS topology files
  * Update to linux-support-6.10.9

  [ Ben Hutchings ]
  * Update to linux-support-6.10.12

 -- Ben Hutchings <benh@debian.org>  Mon, 07 Oct 2024 00:03:35 +0200

firmware-nonfree (20240709-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/b/gencontrol.py: Stop using unnecessary PackageDescription subclass
  * Use linux-support bundle API to replace much custom logic
  * Update to linux-support-6.10.6
  * nvidia-graphics: Add versioned Breaks on initramfs-tools to avoid bug
    #1076539

  [ Stuart Hayhurst ]
  * misc-nonfree: Include missing symlinks for tas2563 and tas2781

 -- Ben Hutchings <benh@debian.org>  Sun, 01 Sep 2024 01:32:49 +0200

firmware-nonfree (20240709-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * Update to linux-support-6.9.11
  * New upstream version:
    - add new cc33xx firmware for cc33xx chips
    - amdgpu: update DMCUB to v0.0.222.0 for DCN314
    - amdgpu: update DMCUB to v0.0.224.0 for Various AMDGPU Asics
    - amdgpu: Update ISP FW for isp v4.1.1
    - cirrus: cs35l41: Update various firmware for ASUS laptops using CS35L41
    - cirrus: cs35l56: Update firmware for Cirrus CS35L56 for ASUS UM5606
      laptop
    - cirrus: cs35l56: Update firmware for Cirrus CS35L56 for various ASUS
      laptops
    - iwlwifi: add ty/So/Ma firmwares for core88-87 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core88-87 release
    - mediatek: Update MT8173 VPU firmware to v1.2.0
    - qcom: Add AIC100 firmware files
    - rtl_bt: Update RTL8822C BT UART firmware to 0xB5D6_6DCB
    - rtl_bt: Update RTL8822C BT USB firmware to 0xAED6_6DCB
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Bluetooth Magnetor core
    - Update firmware file for Intel Bluetooth Pulsar core
    - Update firmware file for Intel Bluetooth Solar core
  * WHENCE, d/copyright: Fix license and include ti-tas2563 and ti-tas2781
    firmware
  * d/copyright: Include firmware for QCM2290 and QRB4210 SoCs
  * d/b/update-modinfo: Support reading from multiple kernel directories
  * Update module info from linux 6.9.11-1 on amd64 and arm64

  [ Stuart Hayhurst ]
  * misc-nonfree: Include tas2563 and tas2781 DSP firmware

 -- Ben Hutchings <benh@debian.org>  Fri, 26 Jul 2024 19:43:28 +0200

firmware-nonfree (20240610-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/b/release-update: Sort and de-dupe upstream changelog
  * d/b/release-update: Filter upstream changelog to files that we include
  * d/b/release-update: Strip useless 'linux-firmware:' prefix
  * New upstream version (Closes: #1051892, #1062203, #1064229, #1070647,
    #1070648, #1076151):
    - Add CS35L41 firmware for additional ASUS Zenbook 2023 models
    - Add CS35L41 firmware for Lenovo Legion 7i gen7 laptop (16IAX7)
    - Add CS35L41 HDA Firmware for Asus HN7306
    - Add CS35L41 HDA Firmware for Lenovo Legion Slim 7 16ARHA7
    - Add CS35L41 HDA Firmware for Lenovo Thinkbook 16P Laptops
    - Add firmware and tuning for Lenovo Y770S
    - Add firmware file for Intel Bluetooth AX211
    - Add firmware for Cirrus CS35L41 for various Dell laptops
    - Add firmware for Cirrus CS35L41 on 2024 ASUS Zenbook Laptops
    - Add firmware for Cirrus CS35L41 on HP Consumer Laptops
    - Add firmware for Cirrus CS35L41 on HP G11 Laptops
    - Add firmware for Cirrus CS35L56 for Dell laptops
    - Add firmware for Cirrus CS35L56 for various HP laptops
    - Add firmware for Lenovo Thinkbook 13X
    - Add firmware for Lenovo Thinkbooks
    - add firmware for mediatek bluetooth chip (MT7925)
    - add firmware for MT7925
    - add firmware for mt7988 internal 2.5G ethernet phy
    - add firmware for MT7996
    - add link to sc8280xp audioreach firmware
    - Add ordinary firmware for RTL8821AU device
    - Add tuning parameter configs for CS35L41 Firmware
    - amdgpu: add DMCUB 3.5 firmware
    - amdgpu: add GC 11.0.1 rlc_1 firmware
    - amdgpu: add GC 11.5.0 firmware
    - amdgpu: Add GC 9.4.3 firmware
    - amdgpu: add initial GC 11.0.3 firmware
    - amdgpu: add initial PSP 13.0.10 firmware
    - amdgpu: add initial SDMA 6.0.3 firmware
    - amdgpu: add initial SMU 13.0.10 firmware (Closes: #1052714, #1070313)
    - amdgpu: add new ISP 4.1.1 firmware
    - amdgpu: add PSP 13.0.6 firmware
    - amdgpu: add PSP 14.0.0  firmware
    - amdgpu: add SDMA 4.4.2 firmware
    - amdgpu: add SDMA 6.1.0 firmware
    - amdgpu: add SMU 13.0.6 firmware
    - amdgpu: Add support for DCN 3.5.1
    - amdgpu: add support for GC 11.5.1
    - amdgpu: add support for PSP 14.0.1
    - amdgpu: add support for SDMA 6.1.1
    - amdgpu: add support for VCN 4.0.6
    - amdgpu: add support for VPE 6.1.1
    - amdgpu: add UMSCH 4.0.0 firmware
    - amdgpu: add VCN 4.0.3 firmware
    - amdgpu: add VCN 4.0.5 firmware
    - amdgpu: add VPE 6.1.0 firmware
    - amdgpu: DMCUB updates for various AMDGPU ASICs
    - amdgpu: DMCUB updates for Yellow Carp: 4.0.68.0
    - amdgpu: partially revert firmware for GC 11.0.0 and GC 11.0.2
    - amdgpu: update aldebaran firmware
    - amdgpu: update arcturus firmware
    - amdgpu: update beige goby firmware
    - amdgpu: update DCN 3.1.6 firmware from 5.7 branch
    - amdgpu: update dimgrey cavefish firmware
    - amdgpu: update DMCUB to 0.0.181.0 for various AMDGPU ASICs
    - amdgpu: update DMCUB to 0.0.183.0 for various AMDGPU ASICs
    - amdgpu: update GC 10.3.6 firmware
    - amdgpu: update gc 10.3.7 firmware
    - amdgpu: update GC 10.3.7 firmware from 5.7 branch
    - amdgpu: update GC 11.0.0 firmware
    - amdgpu: update GC 11.0.1 firmware
    - amdgpu: update GC 11.0.2 firmware
    - amdgpu: update GC 11.0.3 firmware
    - amdgpu: update GC 11.0.4 firmware
    - amdgpu: update GC 11.5.0 firmware
    - amdgpu: update GC 9.4.3 firmware
    - amdgpu: update green sardine firmware
    - amdgpu: update green sardine firmware from 5.7 branch
    - amdgpu: update ipsp 13.0.7 firmware
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update picasso firmware
    - amdgpu: update Picasso VCN firmware
    - amdgpu: update PSP 13.0.0 firmware
    - amdgpu: update PSP 13.0.10 firmware
    - amdgpu: update PSP 13.0.11 firmware
    - amdgpu: update PSP 13.0.4 firmware
    - amdgpu: update PSP 13.0.5 firmware
    - amdgpu: update PSP 13.0.6 firmware
    - amdgpu: update PSP 13.0.7 firmware
    - amdgpu: update psp 13.0.8 firmware
    - amdgpu: update PSP 14.0.0 firmware
    - amdgpu: update raven firmware
    - amdgpu: update raven VCN firmware
    - amdgpu: update raven2 firmware
    - amdgpu: update raven2 VCN firmware
    - amdgpu: update renoir firmware
    - amdgpu: update renoir firmware from 5.7 branch
    - amdgpu: update SDMA 5.2.6 firmware
    - amdgpu: update SDMA 5.2.7 firmware
    - amdgpu: update SDMA 6.0.0 firmware
    - amdgpu: update SDMA 6.0.1 firmware
    - amdgpu: update SDMA 6.0.2 firmware
    - amdgpu: update SDMA 6.0.3 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update smu 13.0.0 firmware
    - amdgpu: update smu 13.0.10 firmware
    - amdgpu: update SMU 13.0.6 firmware
    - amdgpu: update smu 13.0.7 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update VCN 3.1.2 firmware
    - amdgpu: update VCN 4.0.0 firmware
    - amdgpu: update VCN 4.0.2 firmware
    - amdgpu: update vcn 4.0.3 firmware
    - amdgpu: update VCN 4.0.4 firmware
    - amdgpu: update VCN 4.0.5 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - amdgpu: update yellow carp firmware
    - amdgpu: update yellow carp firmware from 5.7 branch
    - Amphion: Update vpu firmware
    - ath10k/WCN3990: move wlanmdsp to qcom/sdm845
    - ath10k: QCA4019 hw1.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00309-
      (Closes: #1074308)
    - ath10k: QCA9888 hw2.0: update board-2.bin
    - ath10k: WCN3990 hw1.0: update board-2.bin
    - ath10k: WCN3990: hw1.0: add qcm2290 firmware API file
    - ath10k: WCN3990: hw1.0: move firmware back from qcom/ location
    - ath11k: IPQ8074 hw2.0: update board-2.bin
    - ath11k: WCN6750 hw1.0: update board-2.bin
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - ath11k: WCN6855 hw2.0: update to
      WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.36
    - ath11k: WCN6855 hw2.0: update to
      WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.37
    - brcm: Add brcmfmac43430-sdio.xxx.txt nvram for the Chuwi Hi8 (CWI509)
      tablet
    - brcm: Add nvram for the Acer Iconia One 7 B1-750 tablet
    - brcm: Add nvram for the Asus Memo Pad 7 ME176C tablet
    - cirrus: Add CS35L41 firmware and tunings for ASUS Zenbook 2022 Models
    - cirrus: Add CS35L41 firmware and tunings for ASUS Zenbook 2023 Models
    - cirrus: Add CS35L41 firmware for ASUS ROG 2023 Models
    - cirrus: Add CS35L41 firmware for Dell Oasis Models
    - cirrus: Add CS35L41 firmware for HP G11 models
    - cirrus: Add CS35L41 firmware for Legion Slim 7 Gen 8 laptops
    - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for various ASUS laptops
    - cnm: update chips&media wave521c firmware.
    - cxgb4: Update firmware to revision 1.27.5.0
    - Fix filenames for some CS35L41 firmwares for HP
    - Fix firmware names for Laptop SSID 104316a3
    - i915: Add BMG DMC v2.06
    - i915: Add DG2 HuC 7.10.15
    - i915: add GSC 102.0.0.1655 for MTL (Closes: #1069870)
    - i915: Add GuC v70.13.1 for DG2, TGL, ADL-P and MTL
    - i915: Add GuC v70.20.0 for ADL-P, DG1, DG2, MTL and TGL
    - i915: Add Xe2LPD DMC v2.18
    - i915: Update ADLP DMC to v2.20
    - i915: update DG2 GuC to v70.8.0
    - i915: Update MTL DMC v2.21
    - i915: update MTL HuC to version 8.5.4
    - i915: update to GuC 70.8.0 and HuC 8.5.1 for MTL
    - i915: Update Xe2LPD DMC to v2.20
    - ice: add LAG-supporting DDP package
    - ice: update ice DDP comms package to 1.3.45.0
    - ice: update ice DDP package to 1.3.36.0
    - ice: update ice DDP wireless_edge package to 1.3.13.0
    - imx: sdma: update firmware to v3.6/v4.6
    - Intel Bluetooth: Update firmware file for Intel Bluetooth 9260
    - Intel Bluetooth: Update firmware file for Intel Bluetooth 9560
    - Intel Bluetooth: Update firmware file for Intel Bluetooth AX200
    - Intel Bluetooth: Update firmware file for Intel Bluetooth AX201
    - Intel Bluetooth: Update firmware file for Intel Bluetooth AX203
    - Intel Bluetooth: Update firmware file for Intel Bluetooth AX210
    - Intel Bluetooth: Update firmware file for Intel Bluetooth AX211
    - Intel Bluetooth: Update firmware file for Intel Bluetooth BE200
    - Intel Bluetooth: Update firmware file for Magnetor Intel Bluetooth AX101
    - Intel Bluetooth: Update firmware file for Magnetor Intel Bluetooth AX203
    - Intel Bluetooth: Update firmware file for Magnetor Intel Bluetooth AX211
    - Intel Bluetooth: Update firmware file for Solar Intel Bluetooth AX101
    - Intel Bluetooth: Update firmware file for Solar Intel Bluetooth AX203
    - Intel Bluetooth: Update firmware file for Solar Intel Bluetooth AX210
    - Intel Bluetooth: Update firmware file for Solar Intel Bluetooth AX211
    - Intel Bluetooth: Update firmware file for SolarF Intel Bluetooth AX101
    - Intel Bluetooth: Update firmware file for SolarF Intel Bluetooth AX203
    - Intel Bluetooth: Update firmware file for SolarF Intel Bluetooth AX211
    - Intel IPU3 ImgU: Move firmware file under intel/ipu
    - iwlwifi: add a missing FW from core80-39 release (Closes: #1062703)
    - iwlwifi: add FWs for new GL and MA device types with multiple RF modules
    - iwlwifi: add gl FW for core87-44 release
    - iwlwifi: add new FWs from core80-39 release
    - iwlwifi: add new FWs from core81-65 release
    - iwlwifi: add new FWs from core83-55 release
    - iwlwifi: add ty/So/Ma firmwares for core87-44 release
    - iwlwifi: fix for the new FWs from core83-55 release (Closes: #1062703)
    - iwlwifi: update 9000-family firmwares to core85-89
    - iwlwifi: update cc/Qu/QuZ firmwares for core80-39 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core81-65 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core83-55 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core87-44 release
    - iwlwifi: update gl FW for core80-165 release
    - mediatek: Remove an unused packed library
    - mediatek: Sync shared memory structure changes
    - mediatek: Update MT8173 VPU firmware to v1.1.9
    - mediatek: Update mt8195 SCP firmware to support 10bit mode
    - mekdiatek: Update mt8186 SOF firmware to v2.0.1
    - nvidia: add GSP-RM version 535.113.01 firmware images
    - nvidia: Update Tegra210 XUSB firmware to v50.29
    - qca: add bluetooth firmware for WCN3988
    - QCA: Add bluetooth firmware nvm files for QCA2066
    - QCA: Update Bluetooth QCA2066 firmware to 2.1.0-00639
    - QCA: Update Bluetooth WCN685x 2.1 firmware to 2.1.0-00605
    - qcom: Add Audio firmware for SC8280XP X13s (Closes: #1057040)
    - qcom: Add Audio firmware for SM8550 HDK
    - qcom: Add Audio firmware for SM8550 QRD
    - qcom: Add Audio firmware for SM8650 MTP
    - qcom: Add Audio firmware for SM8650 QRD
    - qcom: add GPU firmware for QCM2290 / QRB2210
    - qcom: add venus firmware files for v6.0
    - qcom: sc8280xp: LENOVO: remove directory sym link
    - qcom: sc8280xp: LENOVO: Remove execute bits
    - qcom: sm8250: update DSP firmware
    - qcom: Update the firmware for Adreno a630 family of GPUs
    - qcom: update venus firmware file for v5.4
    - qcom: Update vpu-1.0 firmware
    - Remove 2 HP laptops using CS35L41 Audio Firmware
    - Remove Calibration Firmware and Tuning for CS35L41
    - Revert "rtl_bt: Update RTL8852C BT USB firmware to 0x040D_7225"
    - RTL8192E: Remove old realtek WiFi firmware
    - rtl_bt: Add firmware and config files for RTL8852BT/RTL8852BE-VT
    - rtl_bt: Add firmware v2 file for RTL8852C
    - rtl_bt: Update RTL8822C BT UART firmware to 0x0FD6_407B
    - rtl_bt: Update RTL8822C BT USB firmware to 0x0ED6_407B
    - rtl_bt: Update RTL8851B BT USB firmware to 0x048A_D230
    - rtl_bt: Update RTL8852A BT USB firmware to 0xD9D6_17DA
    - rtl_nic: add firmware for RTL8126A
    - rtl_nic: update firmware of RTL8156B
    - rtw88: Add RTL8703B firmware v11.0.0
    - rtw89: 8851b: update fw to v0.29.41.3
    - rtw89: 8852b: update fw to v0.29.29.5
    - rtw89: 8852c: update fw to v0.27.56.14
    - rtw89: 8922a: add firmware v0.35.18.0
    - s5p-mfc: Add MFC v12 Firmware
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Bluetooth 9260
    - Update firmware file for Intel Bluetooth 9560
    - Update firmware file for Intel Bluetooth AX200
    - Update firmware file for Intel Bluetooth AX201
    - Update firmware file for Intel Bluetooth AX203
    - Update firmware file for Intel Bluetooth AX210
    - Update firmware file for Intel Bluetooth AX211
    - Update firmware file for Intel Bluetooth Magnetor core
    - Update firmware file for Intel Bluetooth Solar core
    - update firmware for mediatek bluetooth chip (MT7921)
    - update firmware for mediatek bluetooth chip (MT7922)
    - update firmware for MT7921 WiFi device
    - update firmware for MT7922 WiFi device
    - update firmware for qat_4xxx devices
    - Update firmware tuning for HP Consumer Laptop
    - Update FW files for MRVL PCIE 8997 chipsets
    - Updated NXP SR150 UWB firmware
    - wfx: update to firmware 3.17
    - WHENCE: add symlink for BananaPi M64
    - WHENCE: Link the Raspberry Pi CM4 and 5B to the 4B
  * d/patches: Refresh gitignore.patch
  * realtek: Remove configuration for RTL8192E firmware which was removed
    upstream
  * Build-Depend on rdfind, needed by new version of copy-firmware.sh
  * d/b/gencontrol.py: Delete unused files_real template variable
  * Remove file lists from package descriptions
  * intel-graphics: Include IPU3 firmware under its new filename
  * Fix doubled spaces and punctuation in some package descriptions
  * intel-graphics: Update description to cover IPU3 firmware
  * intel-graphics: Exclude firmware versions not referenced by any release
  * marvell-prestera: Exclude firmware version not referenced by any release
  * qcom-soc: Exclude some large new firmware files
  * d/copyright: Exclude atomisp2 firmware
  * iwlwifi: Exclude firmware versions not referenced by any release
  * d/copyright: Exclude more mlxsw firmware
  * nvidia-graphics: Override lintian errors for GSP firmware
  * d/b/check_upstream.py: Handle missing Licen[cs]e field
  * d/copyright: Exclude Mediatek MT7996 firmware with unknown licence
  * d/copyright: Exclude carl9170 firmware (see #1073525)
  * d/copyright: Exclude more undistributable rsi_91x firmware
  * d/copyright: Exclude undistributable ti-tas2563 and ti-tas2781 firmware
  * d/copyright: Exclude undistributable crypto_safexcel firmware
  * d/copyright: Exclude more AMD firmware packaged in amd64-microcode
  * d/copyright: Exclude more mlxsw firmware
  * d/copyright: Exclude ixp4xx firmware for no-longer-supported SoCs
  * d/copyright: Exclude firmware for unreleased R-Car H3 ES1 SoC
  * d/b/check_upstream.py: Treat .txt files as being source code
  * d/b/check_upstream.py: Match another wording of permission to redistribute
  * atheros: Add ath12k firmware
  * cirrus: Add snd-soc-cs42l43 firmware
  * intel-graphics: Add intel-ipu6-isys, mei-vsc-hw, and xe firmware
  * misc-nonfree: Add air_en8811h firmware
  * misc-nonfree: Add powervr firmware
  * misc-nonfree: Add more wfx firmware
  * ivtv: Remove obsolete Recommends: firmware-linux-nonfree
  * intel-misc: Remove VSC from package description
  * Update to linux-support-6.9.9

  [ Dylan Aïssi ]
  * misc-nonfree: Add firmware for Gen10 Arm Mali GPUs

 -- Ben Hutchings <benh@debian.org>  Sun, 14 Jul 2024 22:22:13 +0200

firmware-nonfree (20230625-3~exp3) experimental; urgency=medium

  [ Ben Hutchings ]
  * d/b/gencontrol.py: Remove support for encoding file version in filename
  * d/b/gencontrol.py: Remove check for .svn directories
  * d/b/gencontrol.py: Use path objects where possible
  * d/b/{gencontrol,check_upstream}.py: Support wildcards in file lists
    (Closes: #1035505)
  * d/config: Use wildcards in file lists
  * Use @package@ in new maintainer script templates instead of #PACKAGE#
  * Set the 'usrmovemitigation' config field to list type
  * Update to linux-support-6.9.7

  [ Helmut Grohne ]
  * Mitigate loss of files due to restructuring and /usr-move
    (DEP17 P1, Closes: #1073832)

 -- Ben Hutchings <benh@debian.org>  Sun, 30 Jun 2024 16:16:28 +0200

firmware-nonfree (20230625-3~exp2) experimental; urgency=medium

  * qcom-soc: Re-fix lintian override for lib/firmware/qcom/apq8096/modem.mbn

 -- Ben Hutchings <benh@debian.org>  Tue, 18 Jun 2024 02:33:12 +0200

firmware-nonfree (20230625-3~exp1) experimental; urgency=medium

  [ Diederik de Haas ]
  * Update to linux-support 6.8.11
    - ci: Add python3-dacite as Build Dependency
  * d/bin/update-modinfo: Add compressed modules support
  * ci: extract-source: Install `dpkg-dev` early and explicitly
  * Harmonize control field sequence
  * Remove constraints unnecessary since Buster (oldoldstable)
  * d/README.source: Update description wrt upstream
  * d/copyright: Update upstream Source URL
  * d/copyright: Fix double 'License: ' statement
  * d/copyright: Fix lintian's superfluous-file-pattern warnings
  * lintian: Fix mismatched-override and unused-override issues
  * amd-graphics: Sort defines entries and file stanzas
  * amd-graphics: Synchronize with 20230625's WHENCE file
  * atheros: Sort defines entries and file stanzas
  * atheros: Add missing file stanzas
  * atheros: Synchronize with 20230625's WHENCE file
  * bnx2: Sort defines entries and file stanzas
  * bnx2x: Sort defines entries and file stanzas
  * brcm80211: Sort defines entries and file stanzas
  * brcm80211: Add missing file stanzas
  * brcm80211: Synchronize with 20230625's WHENCE file
  * intel-sound: Sort defines entries and file stanzas
  * intel-sound: Add missing file stanzas
  * intel-sound: Synchronize with 20230625's WHENCE file
  * iwlwifi: Sort defines entries and file stanzas
  * iwlwifi: Synchronize with 20230625's WHENCE file (Closes: #1059458)
  * libertas: Sort defines entries and file stanzas
  * libertas: Synchronize with 20230625's WHENCE file
  * libertas: Move Prestera firmware to new firmware-marvell-prestera package
  * realtek: Sort defines entries and file stanzas
  * realtek: Add missing file stanzas
  * realtek: Synchronize with 20230625's WHENCE file
  * misc-nonfree: Sort defines entries and file stanzas
  * misc-nonfree: Add missing file stanzas
  * misc-nonfree: Synchronize with 20230625's WHENCE file
  * misc-nonfree: Extract firmware to standalone packages (Closes: #1057786)
    - Move Nvidia graphics firmware to new firmware-nvidia-graphics package
    - Move Intel graphics firmware to new firmware-intel-graphics package
    - Move other Intel firmware to new firmware-intel-misc package
    - Move MediaTek/Ralink firmware to new firmware-mediatek package
  * intel-graphics: Synchronize with 20230625's WHENCE file
  * mediatek: Synchronize with 20230625's WHENCE file
  * Add new firmware-cirrus package for Cirrus Logic firmware (Closes: #1031912)
  * d/copyright: Move license texts to Stand-alone License Stanzas
  * d/copyright: Move debian/config Files stanzas to other debian stanzas
  * d/copyright: Update license for Intel qat* firmware
  * d/copyright: atheros: Update ath10k copyright data
  * d/copyright: atheros: Add ath11k copyright data
  * d/copyright: atheros: Update qca copyright data
  * d/copyright: atheros: Add wil6210 copyright data
  * d/copyright: brcm80211: Add Cypress copyright data
  * d/copyright: brcm80211: Add copyright data on config files
  * d/copyright: intel-graphics: Add Intel irci copyright data
  * d/copyright: libertas: Update copyright data
  * d/copyright: mediatek: Update copyright data
  * d/copyright: misc-nonfree: Update cxgb4 copyright data
  * d/copyright: misc-nonfree: Add Cadence copyright data
  * d/copyright: misc-nonfree: Add Lontium copyright data
  * d/copyright: misc-nonfree: Add VIA vt6656 copyright data
  * d/copyright: misc-nonfree: Add Silicon Labs copyright data
  * d/copyright: realtek: Update copyright data
  * d/copyright: samsung: Update copyright data
  * intel-misc: Update ice firmware
  * misc-nonfree: amphion: Add VPU firmware for NXP i.MX8Q SoCs
  * misc-nonfree: cnm: Add firmware for Chips&Media wave521c codec
  * misc-nonfree: meson: Add firmware for Amlogic SoCs video decoders
  * misc-nonfree: microchip: Add firmware for Microchip Ethernet PHYs
  * misc-nonfree: nxp: Add firmware for NXP Ultra Wide Band
  * misc-nonfree: nxp: Add firmware for NXP BT UART
  * misc-nonfree: renesas: Add firmware for R-Car USB3 controller
  * misc-nonfree: ti: Add firmware for TI Keystone QMSS Accumulator PDSP
  * ti-connectivity: Move TI VPE firmware to misc-nonfree
  * d/control: Update Standards-Version to 4.3.0:
    - Specify ``Rules-Requires-Root: no``
    - Add ``set -e`` to ``debian/templates/preinst.license.in``

  [ Ben Hutchings ]
  * Update to linux-support 6.8.12
  * cirrus: Don't trigger initramfs-tools

 -- Ben Hutchings <benh@debian.org>  Mon, 17 Jun 2024 19:54:51 +0200

firmware-nonfree (20230625-2) unstable; urgency=medium

  [ Diederik de Haas ]
  * Update to linux-support 6.5.0-5
  * misc-nonfree: Add Nvidia Ampere GA103/GA104/GA106/GA107 links
    (Closes: #1040910, #1058991)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 19 Dec 2023 18:01:10 +0100

firmware-nonfree (20230625-1) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * New upstream version:
    - cxgb4: Update firmware to revision 1.27.3.0
    - rtlwifi: Update firmware for RTL8188EU to v28.0
    - rtlwifi: Add firmware v6.0 for RTL8192FU
    - ice: update ice DDP comms package to 1.3.40.0
    - amdgpu: DMCUB updates for various AMDGPU asics (Closes: #1040185)
    - amdgpu: update aldebaran firmware for amd.5.5 release
    - amdgpu: update sienna cichlid firmware for amd.5.5 release
    - amdgpu: update navy flounder firmware for amd.5.5 release
    - amdgpu: update GC 10.3.6 firmware for amd.5.5 release
    - amdgpu: update psp 13.0.5 firmware for amd.5.5 release
    - amdgpu: update vcn 3.1.2 firmware for amd.5.5 release
    - amdgpu: update arcturus firmware for amd.5.5 release
    - amdgpu: update dimgrey cavefish firmware for amd.5.5 release
    - amdgpu: update beige goby firmware for amd.5.5 release
    - amdgpu: update green sardine firmware for amd.5.5 release
    - amdgpu: update GC 11.0.0 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.0 firmware for amd.5.5 release
    - amdgpu: update SMU 13.0.0 firmware for amd.5.5 release
    - amdgpu: update VCN 4.0.0 firmware for amd.5.5 release
    - amdgpu: update renoir firmware for amd.5.5 release
    - amdgpu: update GC 11.0.2 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.7 firmware for amd.5.5 release
    - amdgpu: update SMU 13.0.7 firmware for amd.5.5 release
    - amdgpu: update VCN 4.0.4 firmware for amd.5.5 release
    - amdgpu: update vangogh firmware for amd.5.5 release
    - amdgpu: update GC 10.3.7 firmware for amd.5.5 release
    - amdgpu: update 13.0.8 firmware for amd.5.5 release
    - amdgpu: update GC 11.0.1 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.4 firmware for amd.5.5 release
    - amdgpu: update SDMA 6.0.1 firmware for amd.5.5 release
    - amdgpu: update GC 11.0.4 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.11 firmware for amd.5.5 release
    - amdgpu: update vega10 firmware for amd.5.5 release
    - amdgpu: update navi10 firmware for amd.5.5 release
    - amdgpu: update vega12 firmware for amd.5.5 release
    - amdgpu: update vega20 firmware for amd.5.5 release
    - amdgpu: update navi12 firmware for amd.5.5 release
    - amdgpu: update navi14 firmware for amd.5.5 release
    - amdgpu: update yellow carp firmware for amd.5.5 release
    - rtw89: 8851b: add firmware v0.29.41.0
    - amdgpu: Update GC 11.0.1 and 11.0.4 (Closes: #1053856)
    - brcm: Add symlinks from Pine64 devices to AW-CM256SM.txt
    - cirrus: Add firmware for new Asus ROG Laptops
    - qcom: apq8016: add Dragonboard 410c WiFi and modem firmware
    - mediatek: Update mt8195 SCP firmware to support hevc
    - i915: Add HuC v8.5.0 for MTL
    - linux-firmware: update firmware for mediatek bluetooth chip (MT7921)
    - linux-firmware: update firmware for mediatek bluetooth chip (MT7922)
    - linux-firmware: update firmware for MT7921 WiFi device
    - linux-firmware: update firmware for MT7922 WiFi device
    - amdgpu: DMCUB updates for various AMDGPU asics
    - rtl_bt: Update RTL8852C BT USB firmware to 0x040D_7225
    - rtl_bt: Update RTL8852A BT USB firmware to 0xDAC7_480D
    - qcom: sdm845: update remoteproc firmware
    - qcom: sdm845: rename the modem firmware
    - qcom: Update the microcode files for Adreno a630 GPUs.
    - fix broken cirrus firmware symlinks
    - amdgpu: update DMCUB to v0.0.172.0 for various AMDGPU ASICs
    - amdgpu: DMCUB updates for DCN 3.1.4 and 3.1.5
    - ice: update ice DDP wireless_edge package to 1.3.10.0
    - linux-firmware: wilc1000: update WILC1000 firmware to v16.0
    - check_whence: strip quotation marks
    - check_whence: error if File: is actually a link
    - check_whence: error if symlinks are in-tree
    - copy-firmware: quote deskdir and dirname
    - copy-firmware: tweak sed invocation
    - copy-firmware: drop obsolete backticks, quote
    - copy-firmware: silence the last shellcheck warnings
    - Makefile, copy-firmware: support xz/zstd compressed firmware
  * qcom-soc: add firmware for Qualcomm APQ8016 / db410c
  * atheros: ath11k: package firmware for ath11k/IPQ5018
  * atheros: QCA: add new board files for WCN6750
  * atheros: QCA: add firmware for QCA2026 (Closes: #1057039)

  [ Ben Hutchings ]
  * amd-graphics, qcom-soc: Add some missing file descriptions
  * Add/update file versions for recently updated files
  * d/copyright: Remove obsolete file exclusion

  [ Diederik de Haas ]
  * brcm80211: brcm: Enable symlinks from Pine64 devices to AW-CM256SM.txt

  [ Salvatore Bonaccorso ]
  * atheros: Add description for Bluetooth firmware for QCA2066
  * misc-nonfree: Add MediaTek mt8192 SCP firmware (Closes: #1043099)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 29 Nov 2023 11:10:54 +0100

firmware-nonfree (20230515-4) experimental; urgency=medium

  * Update to linux-support 6.5.0-4
  * d/rules.real: Run dh_movetousr if available
    - lintian: Update overrides to match files in either /lib/firmware or
      /usr/lib/firmware

 -- Ben Hutchings <benh@debian.org>  Fri, 24 Nov 2023 23:38:40 +0000

firmware-nonfree (20230515-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.3.0-2
  * misc-nonfree: i915: Add HuC 7.10.3 for DG2 (Closes: #1040012)

  [ Stuart Hayhurst ]
  * iwlwifi: Add missing iwlwifi-ty-a0-gf-a0-73.ucode and
    iwlwifi-ty-a0-gf-a0-74.ucode

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 04 Jul 2023 16:44:14 +0200

firmware-nonfree (20230515-2) unstable; urgency=medium

  * Add compatibility links for old Mediatek WiFi firmware afer move to mediatek
    folder (Closes: #1039576)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 27 Jun 2023 15:16:13 +0200

firmware-nonfree (20230515-1) unstable; urgency=medium

  * New upstream version:
    - atheros: ath10k: QCA4019 hw1.0: update board-2.bin
    - atheros: ath10k: QCA6174 hw3.0: update board-2.bin
    - atheros: ath10k: QCA9888 hw2.0: update board-2.bin
    - atheros: ath10k: QCA9984 hw1.0: update board-2.bin
    - atheros: ath10k: QCA99X0 hw2.0: update board-2.bin
    - atheros: ath11k: IPQ6018 hw1.0: update board-2.bin
    - atheros: ath11k: IPQ6018 hw1.0: update to
      WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
    - atheros: ath11k: IPQ8074 hw2.0: update board-2.bin
    - atheros: ath11k: IPQ8074 hw2.0: update to
      WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
    - atheros: ath11k: QCN9074 hw1.0: update to
      WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
    - atheros: ath11k: WCN6750 hw1.0: update to
      WLAN.MSL.1.0.1-01160-QCAMSLSWPLZ-1
    - atheros: ath11k: WCN6855 hw2.0: update board-2.bin
    - realtek: rtw89: 8852c: update fw to v0.27.56.13
    - realtek: rtw89: 8852b: update format-1 fw to v0.29.29.1
    - misc-nonfree: linux-firmware: update qat firmware
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7921)
    - misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
    - misc-nonfree: mt76xx: Move the old Mediatek WiFi firmware to mediatek
    - atheros: qca: Update firmware files for BT chip WCN6750
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX210
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX203
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX201
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX200
    - realtek: rtl_nic: update firmware of USB devices
    - realtek: rtl_bt: Update RTL8761B BT UART firmware to 0x9DC6_D922
    - realtek: rtl_bt: Update RTL8761B BT USB firmware to 0xDFC6_D922
    - realtek: rtl_bt: Update RTL8852B BT USB firmware to 0xDBC6_B20F
    - amd-graphics: amdgpu: update DCN 3.1.6 DMCUB firmware
    - misc-nonfree: linux-firmware: update firmware for MT7922 WiFi device
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7922)

  [ Salvatore Bonaccorso ]
  * realtek: rtl_bt: Add firmware and config files for RTL8851B

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Jun 2023 09:03:51 +0200

firmware-nonfree (20230404-1) unstable; urgency=medium

  * New upstream version:
    - iwlwifi: update core69 and core72 firmwares for So device
    - realtek: rtw89: 8852b: rollback firmware to v0.27.32.1
    - realtek: rtw89: 8852b: update format-1 fw to v0.29.29.0
    - misc-nonfree: mediatek: Update mt8192/mt8195 SCP firmware to support
      MM21 and MT21
    - misc-nonfree: i915: Update ADLP DMC to v2.19
    - misc-nonfree: i915: Update MTL DMC to v2.12
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX210
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX203
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX101
    - realtek: rtw88: 8822c: Update normal firmware to v9.9.15
    - amd-graphics: amdgpu: Update DCN 3.1.4 firmware
    - amd-graphics: amdgpu: Update GC 11.0.1 firmware
    - amd-graphics: amdgpu: Update PSP 13.0.4 firmware
    - iwlwifi: update 9000-family firmwares to core78-32
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7922)
    - misc-nonfree: linux-firmware: update firmware for MT7922 WiFi device
    - misc-nonfree: nvidia: update Tu10x and Tu11x signed firmware to support
      newer Turing HW

  [ Salvatore Bonaccorso ]
  * realtek: rtw89: 8852b: add format-1 fw v0.29.26.0
  * amd-graphics: amdgpu: Add GC 11.0.4 firmware
  * amd-graphics: amdgpu: Add PSP 13.0.11 firmware
  * Update module info from linux 6.3.0-1 on amd64

  [ Ben Hutchings ]
  * Update to linux-support 6.3.0-1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Jun 2023 21:30:15 +0200

firmware-nonfree (20230310-1~exp2) experimental; urgency=medium

  * intel-sound: intel: avs: Add AudioDSP base firmware for SKL-based platforms
    (Closes: #1035281)
  * intel-sound: intel: avs: Add AudioDSP base firmware for APL-based platforms
    (Closes: #1035281)
  * intel-sound: intel: avs: Add AudioDSP base firmware for CNL-based platforms
    (Closes: #1035281)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 May 2023 18:03:22 +0200

firmware-nonfree (20230310-1~exp1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: Update GC 11.0.1 firmware
    - ath10k: WCN3990 hw1.0: update board-2.bin
    - ath11k: WCN6750 hw1.0: update board-2.bin
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - rtl_bt: Update RTL8852C BT USB firmware to 0xD7B8_FABF
    - rtl_bt: Update RTL8822C BT UART firmware to 0x05C6_D2E3
    - rtl_bt: Update RTL8822C BT USB firmware to 0x0CC6_D2E3

  [ Salvatore Bonaccorso ]
  * Exclude ath9k_htc/htc_{7010,9271}-1.4.0.fw files from generated orig
    tarball
  * intel-sound: catpt: Add AudioDSP base firmware for BDW platforms
  * atheros: ath10k: QCA6174 hw3.0: update firmware-sdio-6.bin to version
    WLAN.RMH.4.4.1-00174
  * atheros: ath11k: WCN6855 hw2.0: update to
    WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.23
  * realtek: rtw89: 8852b: update fw to v0.29.26.0
  * realtek: rtw89: 8852b: update fw to v0.29.29.0
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * iwlwifi: iwlwifi: update core69 and core72 firmwares for Ty device
  * iwlwifi: Add missing stanza for iwlwifi-so-a0-gf4-a0-72.ucode firmware
  * Update to linux-support 6.1.0-7

  [ Diederik de Haas ]
  * d/patches/gitignore: Add DEP-3 header
  * d/README.source: Expand steps to regenerate debian/control
  * d/config/*/defines: Replace 'wifi' with 'Wi-Fi'

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Apr 2023 20:38:58 +0200

firmware-nonfree (20230210-5) unstable; urgency=medium

  * brcm80211: brcm: rename Rock960 NVRAM to AP6356S and link devices to it
    (Closes: #1035282)
  * Update to linux-support 6.1.0-8

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 01 May 2023 21:30:16 +0200

firmware-nonfree (20230210-4) unstable; urgency=medium

  * iwlwifi: Add missing files entry for iwlwifi-so-a0-hr-b0-72.ucode.
    Thanks to Jonathan Klabunde Tomer (Closes: #1032608)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Mar 2023 15:15:03 +0100

firmware-nonfree (20230210-3) unstable; urgency=medium

  [ Bastian Germann ]
  * firmware-atheros: Remove ath9k_htc from description

  [ Diederik de Haas ]
  * Update to linux-support 6.1.0-6
  * brcm80211: brcm: Restore symlinks from cypress to brcm directory
    (Closes: #1032367)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Mar 2023 14:29:56 +0100

firmware-nonfree (20230210-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * brcm80211: Correct section for brcmfmac43430-sdio.AP6212.txt config
  * Update to linux-support 6.1.0-5

  [ Diederik de Haas ]
  * brcm80211: brcm: Add AzureWave AW-CM256SM NVRAM file
  * brcm80211: brcm: Add symlinks to AW-CM256SM NVRAM file

  [ Bastian Germann ]
  * firmware-atheros: Remove ath9k_htc firmware (Closes: #837385)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 Feb 2023 18:02:15 +0100

firmware-nonfree (20230210-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update vangogh firmware
    - rtw88: 8822c: Update normal firmware to v9.9.14
    - brcm: restore previous firmware file for BCM4329 device

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.1.0-4
  * debian/copyright: Drop exclude-patters for files not anymore included
    upstream
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * iwlwifi: remove old unsupported older than 4.14 LTS
  * iwlwifi: remove 4.19 and 5.4 intermediate old firmwares
  * iwlwifi: remove 5.4 and 5.10 intermediate old firmwares
  * iwlwifi: remove 5.10 and 5.15 intermediate old firmwares
  * iwlwifi: remove old intermediate 5.15+ firmwares
  * amd-graphics: amdgpu: Add DCN 3.1.4 firmware
  * amd-graphics: amdgpu: Add GC 11.0.1 firmware
  * amd-graphics: amdgpu: Add SDMA 6.0.1 fimware
  * amd-graphics: amdgpu: Add PSP 13.0.4 firmware
  * amd-graphics: amdgpu: Add VCN 4.0.2 firmware
  * brcm80211: brcm: revert firmware files for Cypress devices
  * misc-nonfree: i915: Add DMC v2.18 for ADLP
  * misc-nonfree: i915: Add DMC v2.11 for MTL
  * Update module info from linux 6.1.0-4 on amd64

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Feb 2023 21:28:33 +0100

firmware-nonfree (20230117-2) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * qcom-soc: correct the description of qcom/leia*.fw
  * qcom-soc: add firmware for Adreno 200 family of GPU

  [ Salvatore Bonaccorso ]
  * debian/copyright: Add stanza for qcom/yamato* files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Feb 2023 15:13:43 +0100

firmware-nonfree (20230117-1) unstable; urgency=medium

  * New upstream version:
    - atheros: qca: Update firmware files for BT chip WCN6750
    - amd-graphics: Update renoir PSP firmware
    - amd-graphics: update renoir DMCUB firmware

  [ Didier Raboud ]
  * misc-nonfree: Update firmware for mediatek bluetooth chip (MT7922)
  * misc-nonfree: Update firmware for mediatek bluetooth chip (MT7921)
  * misc-nonfree: Update firmware for MT7922 WiFi device
  * misc-nonfree: Update firmware for MT7921 WiFi device
  * misc-nonfree: Update firmware cxgb4 to revision 1.27.1.0
  * amd-graphics: Update copyright date
  * iwlwifi: update 9000-family firmwares to core75-47
  * iwlwifi: update PNVM firmwares from core76-35 release
  * amd-graphics: update GC11.0.0 firmware from amd-5.4
  * amd-graphics: update PSP13.0.0 firmware from amd-5.4
  * amd-graphics: update SDMA6.0.0 firmware from amd-5.4
  * amd-graphics: update SMU13.0.0 firmware from amd-5.4
  * amd-graphics: update VCN4.0.0 firmware from amd-5.4
  * amd-graphics: add DCN3.2.1 firmware from amd-5.4
  * amd-graphics: add GC11.0.2 firmware from amd-5.4
  * amd-graphics: add PSP13.0.7 firmware from amd-5.4
  * amd-graphics: add SDMA6.0.2 firmware from amd-5.4
  * amd-graphics: add SMU13.0.7 firmware from amd-5.4
  * amd-graphics: add VCN4.0.4 firmware from amd-5.4
  * iwlwifi: Update firmware file for Intel Bluetooth 9260
  * iwlwifi: Update firmware file for Intel Bluetooth 9560
  * iwlwifi: Update firmware file for Intel Bluetooth AX200
  * iwlwifi: Update firmware file for Intel Bluetooth AX210
  * iwlwifi: Update firmware file for Intel Bluetooth AX211
  * iwlwifi: Update firmware file for Intel Bluetooth AX201
  * realtek: rtw89: 8852c: update fw to v0.27.56.10
  * Update modinfo from linux 6.1.0-3 on amd64

  [ Salvatore Bonaccorso ]
  * realtek: rtw89: 8852b: Add firmware to support RTL8852B chip
    (Closes: #1029708)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 31 Jan 2023 21:35:58 +0100

firmware-nonfree (20221214-5) unstable; urgency=medium

  * Add lintian overrides to appease bullseye's lintian:
     - license-problem-non-free-RFC (source): not needed for non-free
       packages, but needed since the move to non-free-firmware (which
       lintian 2.104.0 doesn't know about).
     - binary-with-bad-dynamic-table (firmware-qcom-soc): duplicate the
       existing override, without square brackets (since override formats
       changed across lintian versions).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Jan 2023 19:47:36 +0100

firmware-nonfree (20221214-4) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update to linux-support 6.1.0-1
  * Update to the new linux-support API:
     - Replace self.templates[foo] with self.templates.get*(foo),
       merging the self.process_package() substitution in passing.
     - Replace makefile.add() with makefile.add_cmds().
     - Make Template inherit from _ControlFileDict, and use OrderedDict to
       define its fields. Use PackageDescriptionBase directly for the
       Description.
     - Simplify Templates, only adding a get_templates_control() method to
       the base class.
     - Use get_templates_control() and an append() to include the license
       in the templates.
     - Avoid KeyError during substitutions by renaming @?variable@ into
       @variable@, listing each such variable as optional (so that the
       placeholder gets replaced with an empty string if that variable is
       not set in the config).
     - salsa-ci: install python3-jinja2
  * Move source and binaries from non-free/* to non-free-firmware/*
    following the 2022 General Resolution about non-free firmware.

  [ Bastian Blank ]
  * Update to linux-support 6.1.0-2

 -- Bastian Blank <waldi@debian.org>  Tue, 24 Jan 2023 12:19:29 +0100

firmware-nonfree (20221214-3) unstable; urgency=medium

  * iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
  * iwlwifi: Add version information for ibt-0041-0041.ddc (Intel Wireless
    AX2100 Bluethooth configuration)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Dec 2022 17:32:01 +0100

firmware-nonfree (20221214-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Set changelog suite to UNRELEASED to avoid lintian error
  * d/salsa-ci.yml: Run extract-source job in target release, not unstable

  [ Salvatore Bonaccorso ]
  * amd-graphics: amdgpu: add SMU 13.0.0 firmware for amd-5.4 (Closes: #1026391)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Dec 2022 21:36:20 +0100

firmware-nonfree (20221214-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update green sardine DMCUB firmware
    - amdgpu: update sdma_5.2.7 firmware
    - rtl_bt: Update RTL8821C BT(USB I/F) FW to 0x75b8_f098
    - brcm: add/update firmware files for brcmfmac driver
    - amdgpu: updated navi12 firmware for amd-5.4
    - amdgpu: updated renoir firmware for amd-5.4
    - amdgpu: updated navi14 firmware for amd-5.4
    - amdgpu: updated arcture firmware for amd-5.4
    - amdgpu: updated sienna cichlid firmware for amd-5.4
    - amdgpu: updated green sardine firmware for amd-5.4
    - amdgpu: updated navy flounder firmware for amd-5.4
    - amdgpu: updated picasso firmware for amd-5.4
    - amdgpu: updated vangogh firmware for amd-5.4
    - amdgpu: updated dimgrey cavefish firmware for amd-5.4
    - amdgpu: updated beige goby firmware for amd-5.4
    - amdgpu: updated vega10 firmware for amd-5.4
    - amdgpu: add SMU 13.0.0 firmware for amd-5.4
    - amdgpu: updated PSP 13.0.5 firmware for amd-5.4
    - amdgpu: updated vega20 firmware for amd-5.4
    - amdgpu: updated GC 10.3.7 RLC firmware for amd-5.4
    - amdgpu: updated PSP 13.0.8 firmware for amd-5.4
    - amdgpu: updated raven firmware for amd-5.4
    - amdgpu: updated raven2 firmware for amd-5.4
    - amdgpu: updated yellow carp firmware for amd-5.4
    - amdgpu: updated navi10 firmware for amd-5.4

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.0.0-6
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * misc-nonfree: i915: Add DMC v2.08 for DG2
  * atheros: QCA: Add Bluetooth firmware for WCN785x
  * amd-graphics: amdgpu: updated aldebaran firmware for amd-5.4
  * amd-graphics: amdgpu: add DCN 3.2.0 firmware for amd-5.4
  * amd-graphics: amdgpu: add GC 11.0.0 firmware for amd-5.4
  * amd-graphics: amdgpu: add PSP 13.0.0 firmware for amd-5.4
  * amd-graphics: amdgpu: Add SDMA 6.0.0 firmware for amd-5.4
  * amd-graphics: amdgpu: add VCN 4.0.0 firmware for amd-5.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Dec 2022 17:54:21 +0100

firmware-nonfree (20221109-4) unstable; urgency=medium

  * Update to linux-support 6.0.0-5
  * iwlwifi: Add Intel Wireless Bluethooth AX201 firmware and configuration
    (Closes: #1025132)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Dec 2022 13:28:27 +0100

firmware-nonfree (20221109-3) unstable; urgency=medium

  * misc-nonfree: i915: Add versionless HuC files for current platforms
    (Closes: #1024881)
  * misc-nonfree: i915: Add GuC v70.5.1 for DG1, DG2, TGL and ADL-P
    (Closes: #1024881)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Nov 2022 21:09:34 +0100

firmware-nonfree (20221109-2) unstable; urgency=medium

  * qlogic: Add QLogic QL45000 series firmware version 8.59.1.0
    (Closes: #1016945)
  * misc-nonfree: Add MediaTek MT7922 bluetooth firmware (Closes: #1023289)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Nov 2022 09:51:39 +0100

firmware-nonfree (20221109-1) unstable; urgency=medium

  * New upstream version

  [ Didier Raboud ]
  * Update dependency to linux 6.0.0-4
  * iwlwifi: update 9000-family firmwares to core72-129
  * iwlwifi: add new FWs from core69-81 release (Closes: #1023240)
  * iwlwifi: update firmware files for Intel Bluetooth AX2*
  * iwlwifi: Add Intel Wireless AX211 Bluethooth firmware and
    configuration (Closes: #1023245)
  * qcom-soc: venus: replace split firmware with mbn files

  [ Salvatore Bonaccorso ]
  * Add myself to Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Nov 2022 11:18:32 +0100

firmware-nonfree (20221012-1) unstable; urgency=medium

  * New upstream version

  [ Didier Raboud ]
  * Update dependency and modinfo from linux 6.0.0-2 on amd64
  * 20221012:
    - misc-nonfree: update cxgb4 firmware to 1.27.0.0
    - misc-nonfree: update firmware versions for MT7921 and MT7922 devices
    - misc-nonfree: add MediaTek mt8186 and mt8195 scp firmware
    - realtek: add Realtek RTL8852C, RTL8852BU and RTL8852CU config and firmware

  [ Dmitry Baryshkov ]
  * atheros: ath11k: WCN3990 hw1.0: add board-2.bin, board data file
  * atheros: ath11k: Add firmware for QCN9074 (hw1.0), WCN6750 (hw1.0) and
    WCN6855 (hw2.0, hw2.1) (Closes: #1021157)
  * atheros: qca: Add WCN685x 0109 NVM bluetooth firmware
  * atheros: qca: Add bluetooth firmware for WCN685x ROM 13.2.1
  * qcom-soc: Fix paths for Lenovo ThinkPas X13s firmware
  * qcom-soc: Add new Adreno firmware (a200, a330, a420)
  * qcom-soc: Add firmware for APQ8096 (including lintian overrides for
    reported issues with apq8096/modem.mbn)

  [ Ben Hutchings ]
  * atheros: Fix capitalisation in some file descriptions

 -- Ben Hutchings <benh@debian.org>  Mon, 31 Oct 2022 01:18:11 +0100

firmware-nonfree (20220913-1) unstable; urgency=medium

  * New upstream version (Closes: #1009316, #1015728)
  * Various new firmware for Intel hardware closes: #1014651, #1020962
  * amd-graphics: Various new firmware closes: #999825, #1019847
  * iwlwifi: Various new firmware closes: #1016058

  [ Philippe Ombredanne ]
  * Update copyright with correct continuations

  [ Ben Hutchings ]
  * lintian: Move source overrides to preferred path
  * lintian: Refresh lintian-overrides
  * d/control: Use my debian.org email in Uploaders field
  * debian/upstream/: Add upstream signing key
  * copyright: Fold debian/config/*/copyright into debian/copyright
  * d/copyright: Fix remaining incorrect continuations
  * d/copyright: Add Copyright field for Conexant firmware
  * d/copyright: Fix Files field syntax
  * d/copyright: Replace tabs with spaces
  * d/copyright: Fix paragraph order for files in go7007/ and radeon/
  * copyright: Replace debian/config/*/LICENSE with paragraphs in
    debian/copyright
  * d/copyright: Fix incorrect and obsolete file patterns
  * copyright: Replace debian/copyright.debian with paragraph in
    debian/copyright
  * copyright: Remove support for per-binary-package copyright files
  * Move file exclusions to debian/copyright; replace genorig.py with uscan
  * d/copyright: Update copyright holders and dates for debian/*
  * d/copyright: Add paragraph for metadata that should be CC0
  * d/copyright: Drop non-matching file exclusions
  * ipw2x00, ivtv: Add environment variable to skip EULA on installation:
    FIRMWARE_{IPW2X00,IVTV}_LICENSE_READ_AND_ACCEPTED must be set to 'yes'
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
    - d/rules: Add linux-support-name target to show the name of the
      linux-support dependency
  * Update to linux-support 5.19.0-1
  * d/bin/gencontrol.py: Make debian/rules.gen reproducible
  * misc-nonfree: Add Intel ADL-P DMC firmware version 2.16
  * misc-nonfree: Add Intel DG2 firmware
  * misc-nonfree: Add Nvidia Ampere GA102/GA103/GA104/GA106/GA107 firmware
  * amd-graphics: Correct descriptions of files with IP version in filename
  * amd-graphics: Fix some inconsistent file descriptions
  * amd-graphics: Add "Aldebaran" MEC firmware
  * amd-graphics: Add more versions of DCN, GC, PSP, SDMA, VCN firmware
  * d/copyright: Delete obsolete filename patterns from Files-Excluded
  * bnx2x: Add firmware version 7.13.21.0 (Closes: #1006500)
  * iwlwifi: Add firmware version 71.058653f6.0 for various models

  [ Didier Raboud ]
  * lintian: fix file-matching in source override
  * lintian: fix elf-error override syntax
  * 20220815:
    - atheros: ath10k QCA99X0 board updated to v2
    - bnx2, bnx2x: Drop obsolete firmware files
    - intelwimax: Drop Intel WiMax package (unsupported since 5.10+)
    - iwlwifi: remove old unsupported 3160/7260/7265/8000/8265 firmware
      (unsupported since 4.8.0)
    - misc-nonfree: Update cxgb4 firmware to revision 1.26.6.0
    - misc-nonfree: Update ice package to 1.3.30.0, and DDP comms to 1.3.31.0
    - misc-nonfree: rename silabs/ to wfx/
  * Update dependency and modinfo from linux 5.19.0-2 on amd64
  * 20220913:
    - qlogic: drop old obsolete brocade firmware revs
    - misc-nonfree: Add lintian override for unstripped-binary-or-object
    - source: Add lintian override for unstripped-binary-or-object
    - misc-nonfree: i915: Add ADL-P DMC firmware v2.12 (Closes: #1006638)
    - misc-nonfree: i915: ADL-P DMC files are firmware not support files
    - misc-nonfree: i915: Add ADL-P DMC firmware v2.14
    - misc-nonfree: i915: Add GuC firmware 69.0.3 for all platforms
    - misc-nonfree: i915: Add GuC firmware 70.1.1 for all platforms
    - iwlwifi: Add FWs for new SO device types with multiple RF modules
    - amd-graphics: Add latest binary firmwares (Aldebaran, Beige Goby, Cyan
      Sillfish2, GC, PSP, SDMA, Yellow Carp) (Closes: #1009618)
    - qcom-soc: Add firmware for Lenovo ThinkPad X13s (21BX)
  * CI: Build 'all' only, drop autopkgtest job and artifact the source package
    separately
  * Update to debhelper-compat to 13

 -- Bastian Blank <waldi@debian.org>  Fri, 28 Oct 2022 20:48:14 +0200

firmware-nonfree (20210818-1) unstable; urgency=medium

  * New upstream version:
    - iwlwifi: add ty firmware from Core63-43
    - qca: Add firmware files for BT chip WCN6750.
    - i915: Add v2.12 DMC for TGL
    - i915: Add v2.03 DMC for RKL
    - QCA : Updated firmware files for WCN3991
    - linux-firmware: add firmware for MT7922
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - amdgpu: update arcturus firmware from 21.30
    - amdgpu: update green sardine firmware from 21.30
    - amdgpu: update navi10 firmware from 21.30
    - amdgpu: update navi12 firmware from 21.30
    - amdgpu: update navi14 firmware from 21.30
    - amdgpu: update sienna cichlid firmware from 21.30
    - amdgpu: update navy flounder firmware from 21.30
    - amdgpu: update dimgrey cavefish firmware from 21.30
    - amdgpu: update picasso firmware from 21.30
    - amdgpu: update polaris12 firmware from 21.30
    - amdgpu: update raven firmware from 21.30
    - amdgpu: update raven2 firmware from 21.30
    - amdgpu: update renoir firmware from 21.30
    - amdgpu: update vega10 firmware from 21.30
    - amdgpu: update vega12 firmware from 21.30
    - amdgpu: update vega20 firmware from 21.30
    - amdgpu: add initial vangogh support
    - amdgpu: revert back to older picasso sdma firmware
    - amdgpu: revert back to older raven sdma firmware (closes: #992551)
    - amdgpu: revert back to older raven2 sdma firmware
    - ice: update package file to 1.3.26.0

 -- maximilian attems <maks@debian.org>  Tue, 24 Aug 2021 17:46:21 +0200

firmware-nonfree (20210716-1~exp1) experimental; urgency=medium

  * New upstream version:
    - iwlwifi: add new FWs from core60-51 release
    - iwlwifi: update 9000-family firmwares to core60-51
    - iwlwifi: update 8000 family firmwares
    - rtw88: 8822c: Update normal firmware to v9.9.10
    - nvidia: fix symlinks for tu104/tu106 acr unload firmware
    - cxgb4: Update firmware to revision 1.25.6.0
    - QCA: Update Bluetooth firmware for QCA6390
    - QCA: Update Bluetooth firmware for QCA6174
    - QCA: Add Bluetooth firmware for WCN685x
    - linux-firmware: update firmware for MT7921 WiFi device
    - rtl_bt: Update RTL8822C BT(USB I/F) FW to 0x09A8_A0CB
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x05A8_A0CB
    - mediatek: update MT7915 firmware to 20201105
    - rtl_bt: Add rtl8761b firmware
    - rtl_bt: Add rtl8761bu firmware
    - cypress: update firmware for cyw43012 sdio
    - cypress: update firmware for cyw43340 sdio
    - cypress: update firmware for cyw43430 sdio
    - cypress: update firmware for cyw43455 sdio
    - cypress: update firmware for cyw4354 sdio
    - cypress: update firmware for cyw4356 sdio
    - cypress: update firmware for cyw43570 pcie
    - cypress: update firmware for cyw4373 sdio
    - cypress: update firmware for cyw54591 pcie
    - QCA: Update Bluetooth firmware for QCA6174
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x05A8_C6B4
    - linux-firmware: update firmware for MT7921 WiFi device to 20210612122753
    - rtl_bt: Update RTL8852A BT USB firmware to 0xD9A8_A0CD
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - amdgpu: update navy flounder firmware from 21.20
    - amdgpu: update raven firmware from 21.20
    - amdgpu: update arcturus firmware from 21.20
    - amdgpu: update raven2 firmware from 21.20
    - amdgpu: update navi10 firmware from 21.20
    - amdgpu: update renoir firmware from 21.20
    - amdgpu: update vega10 firmware from 21.20
    - amdgpu: update navi12 firmware from 21.20
    - amdgpu: update vega12 firmware from 21.20
    - amdgpu: update green sardine firmware from 21.20
    - amdgpu: update navi14 firmware from 21.20
    - amdgpu: update Picasso firmware from 21.20
    - amdgpu: update vega20 firmware from 21.20
    - amdgpu: update sienna cichlid firmware from 21.20
    - amdgpu: add initial dimgrey cavefish firmware from 21.20
    - amdgpu: update vcn firmware for navi10 for 21.20
    - amdgpu: update vcn firmware for navi12 for 21.20
    - amdgpu: update vcn firmware for navi14 for 21.20
    - amdgpu: update vcn firmware for renoir for 21.20
    - amdgpu: update vcn firmware for green sardine for 21.20
    - firmware/i915/guc: Add GuC v62.0.0 for all platforms
    - firmware/i915/guc: Add GuC v62.0.3 for ADL-P
    - firmware/i915/guc: Add HuC v7.9.3 for TGL & DG1
    - cxgb4: Update firmware to revision 1.26.0.0
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - rtlwifi: de-dupe rtl8192e WiFi firmware
    - rtlwifi: de-dupe rtl8723b WiFi firmware
    - linux-firmware: update NXP 8897/8997 firmware images

 -- maximilian attems <maks@debian.org>  Fri, 20 Aug 2021 19:07:10 +0200

firmware-nonfree (20210511-1) unstable; urgency=medium

  * Unstable upload.

 -- maximilian attems <maks@debian.org>  Fri, 20 Aug 2021 19:00:37 +0200

firmware-nonfree (20210511-1~exp1) experimental; urgency=medium

  * New upstream version:
    - qcom: update venus firmware files for v5.4
    - rtw89: 8852a: update fw to v0.13.8.0
    - qcom: Add venus firmware files for VPU-2.0
    - rtl_bt: Update RTL8852A BT USB firmware to 0xD9A8_7893
    - rtw89: 8852a: update fw to v0.13.8.0
    - brcm: Add a link to enable khadas VIM2's WiFi
    - qcom: add gpu firmwares for sc7280
    - firmware: nvidia: Add VIC firmware for Tegra194
    - amdgpu: add new polaris 12 MC firmware
    - i915: Add ADL-P DMC Support
    - linux-firmware: update firmware for mhdp8546
    - nvidia: Update Tegra210 XUSB firmware to v50.26
    - nvidia: Update Tegra186 XUSB firmware to v55.18
    - nvidia: Update Tegra194 XUSB firmware to v60.09

 -- maximilian attems <maks@debian.org>  Wed, 18 Aug 2021 07:00:34 +0200

firmware-nonfree (20210427-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: add initial support for navy flounder
    - amdgpu: update raven firmware for 20.50
    - amdgpu: update raven2 firmware for 20.50
    - amdgpu: update navi10 firmware for 20.50
    - amdgpu: update renoir firmware for 20.50
    - amdgpu: update vega10 firmware for 20.50
    - amdgpu: update navi12 firmware for 20.50
    - amdgpu: update vega12 firmware for 20.50
    - amdgpu: update navi14 firmware for 20.50
    - amdgpu: update picasso firmware for 20.50
    - amdgpu: update vega20 firmware for 20.50
    - amdgpu: update sienna cichlid firmware for 20.50
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x59A_76A3
    - qcom: update a650 firmware files
    - qcom: sm8250: update remoteproc firmware
    - brcm: Add nvram for the Predia Basic tablet
    - brcm: Add nvram for the Chuwi Hi8 (CWI509) tablet
    - rtl_bt: Add rtl8723bs_config-OBDA0623.bin symlink
    - amdgpu: add arcturus firmware
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.14.A.6
    - WHENCE: link to similar config file for rtl8821a support
    - QCA: Update Bluetooth firmware for QCA6174
    - amdgpu: update navi10 SMC firmware
    - amdgpu: update navi14 smc firmware
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - brcm: Link CM4's WiFi firmware with DMI machine name.
    - cxgb4: Update firmware to revision 1.25.4.0
    - rtl_nic: add new firmware for RTL8153 and RTL8156 series
    - amdgpu: update raven firmware from 21.10
    - amdgpu: update raven2 firmware from 21.10
    - amdgpu: update navi10 firmware from 21.10
    - amdgpu: update renoir firmware from 21.10
    - amdgpu: update vega10 firmware from 21.10
    - amdgpu: update navi12 firmware from 21.10
    - amdgpu: update vega12 firmware from 21.10
    - amdgpu: update green sardine firmware from 21.10
    - amdgpu: update navi14 firmware from 21.10
    - amdgpu: update picasso firmware from 21.10
    - amdgpu: update vega20 firmware from 21.10
    - amdgpu: update sienna cichlid firmware from 21.10
    - amdgpu: update navy flounder firmware from 21.10
    - amdgpu: update arcturus firmware from 21.10
    - brcm: add missing symlink for Pi Zero W NVRAM file
    - rtw88: 8822c: Update normal firmware to v9.9.9
    - mrvl: prestera: Add Marvell Prestera Switchdev firmware 3.0 version
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Intel BT 7265: Fix Security Issues
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX210

 -- maximilian attems <maks@debian.org>  Tue, 17 Aug 2021 08:45:02 +0200

firmware-nonfree (20210315-3) unstable; urgency=medium

  * Update to linux-support 5.10.0-8
  * debian/bin: Add update-modinfo script to maintain cache of module info
  * Add module info from linux 5.10.46-2 on amd64
  * debian/bin/gencontrol.py: Include modaliases in AppStream metadata
    (Closes: #991500)

 -- Ben Hutchings <benh@debian.org>  Sun, 25 Jul 2021 23:19:34 +0200

firmware-nonfree (20210315-2) unstable; urgency=medium

  * Support Cubietech Cubietruck and Jumper EZpad mini 3 tablet
    (closes: #985740, #844056)
  * Add firmware-atheros recommends to firmware-qcom-soc (closes: #985743)
    Thanks to Andreas Beckmann <anbe@debian.org>
  * Add missing brcmfmac4366c firmware.
  * Add more missing BCM4334, BCM43340 and BCM43430 NVRAMS.

 -- maximilian attems <maks@debian.org>  Sat, 27 Mar 2021 13:03:31 +0100

firmware-nonfree (20210315-1) unstable; urgency=medium

  * Unstable upload of green sardine support (closes: #984874)

 -- maximilian attems <maks@debian.org>  Sat, 20 Mar 2021 19:14:23 +0100

firmware-nonfree (20210315-1~exp1) experimental; urgency=medium

  * New upstream version:
    - rtw88: RTL8822C: Update normal firmware to v9.9.5 (closes: #983255)
    - amdgpu: add initial firmware for green sardine (closes: #984852)
    - silabs: add new firmware for WF200
    - brcm: Fix Raspberry Pi 4B NVRAM file
    - Add symlink for BananaPi M2 to brcmfmac43430-sdio config
    - WHENCE: add missing symlink for BananaPi M3
    - rtw89: 8852a: add firmware v0.9.12.2
    - linux-firmware: add frimware for mediatek bluetooth chip (MT7921)
    - iwlwifi: update 7265D firmware
    - iwlwifi: update 9000-family firmwares (closes: #963025)
    - iwlwifi: add new FWs from core59-66 release
    - rtw88: 8822c: Update normal firmware to v9.9.6
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210

 -- maximilian attems <maks@debian.org>  Tue, 16 Mar 2021 16:56:56 +0100

firmware-nonfree (20210208-4) unstable; urgency=medium

  * List MediaTek mt8183 firmware.
  * Update to linux-support 5.10.0-4.
  * Add upstream fix for Raspberry Pi 4B. (closes: #984489)
  * Support BananaPi M2 ultra and BananaPi M3. (closes: #982579)
    Thanks to Ben Hutchings <ben@decadent.org.uk>,
              Bernhard <bewoern1@gmail.com>

 -- maximilian attems <maks@debian.org>  Sat, 13 Mar 2021 13:23:22 +0100

firmware-nonfree (20210208-3) unstable; urgency=medium

  * misc-nonfree: Add missing config files for cxgb4 (closes: #983561)
  * Add missing intel firmwares in iwlwifi, intel-sound, misc-nonfree.
  * Ship all Qualcomm Atheros Bluetooth firmwares.
  * Complete all MediaTek firmwares.
    Thanks to Cyril Brulebois <kibi@debian.org>.

 -- maximilian attems <maks@debian.org>  Fri, 26 Feb 2021 14:31:24 +0100

firmware-nonfree (20210208-2) unstable; urgency=medium

  * Add missing brcmfmac43430-sdio.AP6212.txt config. (#982579)
  * brcm80211, msc: add various missing symlinks (closes: #982757)

 -- maximilian attems <maks@debian.org>  Wed, 24 Feb 2021 13:07:14 +0100

firmware-nonfree (20210208-1) unstable; urgency=medium

  * New upstream version:
    - rtl_bt: Update RTL8821C BT(USB I/F) FW to 0x829a_7644
    - rtl_bt: Add firmware and config files for RTL8852A BT USB chip
    - rtl_bt: Update RTL8822C BT(USB I/F) FW to 0x099a_7253
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x059A_25CB
    - brcm: remove old brcm firmwares that have newer cypress variants
    - cypress: Link the new cypress firmware to the old brcm files
    - cypress: Fix link direction
    - brcm: Update Raspberry Pi 3B+/4B NVRAM for downstream changes
    - brcm: Add NVRAM for Vamrs 96boards Rock960
    - brcm: Link RPi4's WiFi firmware with DMI machine name.
    - qcom: add firmware files for Adreno a650
    - qcom: Add SM8250 Audio DSP firmware
    - qcom: Add SM8250 Compute DSP firmware
    - qcom: Add venus firmware files for VPU-1.0
    - i915: Add GuC v49.0.1 for DG1
    - i915: Add HuC v7.7.1 for DG1
    - i915: Add DMC v2.01 for ADL-S
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - rtw88: RTL8821C: Update firmware to v24.8
    - linux-firmware: add firmware for MT7921
  * add rtl_bt/rtl8852au firmware and config.
  * add rtl_bt/rtl8723bs firmware and config.
  * Update to linux-support 5.10.0-3.

 -- maximilian attems <maks@debian.org>  Tue, 09 Feb 2021 11:15:52 +0100

firmware-nonfree (20201218-3) unstable; urgency=medium

  * Add Realtek rtl8822cu config (closes: #971791)
  * Add Realtek RTL8812 firmwares (closes: #877667)
  * Add Realtek rtl8822cs config

 -- maximilian attems <maks@debian.org>  Mon, 25 Jan 2021 08:49:45 +0100

firmware-nonfree (20201218-2) unstable; urgency=medium

  * Add RTW8723D firmware (closes: #980101)

 -- maximilian attems <maks@debian.org>  Tue, 19 Jan 2021 15:52:36 +0100

firmware-nonfree (20201218-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update raven firmware for 20.45
    - amdgpu: update raven2 firmware for 20.45
    - amdgpu: update navi10 firmware for 20.45
    - amdgpu: update navi12 firmware for 20.45
    - amdgpu: update navi14 firmware for 20.45
    - amdgpu: update renoir firmware for 20.45
    - amdgpu: update vega10 firmware for 20.45
    - amdgpu: update vega12 firmware for 20.45
    - amdgpu: update vega20 firmware for 20.45
    - amdgpu: add sienna cichlid firmware for 20.45
    - i915: Remove duplicate KBL DMC entry
    - i915: Add GuC firmware v49.0.1 for all platforms
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - QCA : Updated firmware files for WCN3991
    - mediatek: update MT8173 VPU firmware to v1.1.6
    - linux-firmware: add firmware for Lontium LT9611UXC DSI to HDMI bridge
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - make AP6212 in bananpi m2 plus/zero work
  * Update to linux-support 5.10.0-1.

 -- maximilian attems <maks@debian.org>  Thu, 14 Jan 2021 10:33:27 +0100

firmware-nonfree (20201118-1) unstable; urgency=medium

  * New upstream version:
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00157-QCARMSWPZ-1
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA9888 hw2.0: update firmware-5.bin to 10.4-3.9.0.2-00131
    - ath10k: QCA9984 hw1.0: update firmware-5.bin to 10.4-3.9.0.2-00131
    - ath10k: QCA6174 hw3.0: add firmware-sdio-6.bin version WLAN.RMH.4.4.1-00077
    - ath11k: IPQ6018 hw1.0: add board-2.bin
    - ath11k: IPQ6018 hw1.0: add to WLAN.HK.2.1.0.1-01238-QCAHKSWPL_SILICONZ-2
    - ath11k: IPQ8074 hw2.0: add board-2.bin
    - ath11k: IPQ8074 hw2.0: add to WLAN.HK.2.1.0.1-01238-QCAHKSWPL_SILICONZ-2
    - ath11k: QCA6390 hw2.0: add board-2.bin
    - ath11k: QCA6390 hw2.0: add to WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1
      (closes: #977042)
    - QCA : Fixed BT SSR due to command timeout / IO fatal error
    - qcom : updated venus firmware files for v5.4
    - QCA: Update Bluetooth firmware for QCA6390
    - rtl_bt: Update RTL8822C BT(USB I/F) FW to 0x099A_281A
    - rtw88: RTL8822C: Update firmware to v9.9.4
    - amdgpu: update raven VCN firmware
    - amdgpu: update raven2 VCN firmware
    - amdgpu: update picasso VCN firmware
    - vpdma: Move firmware to ti directory
    - Revert "rtw88: RTL8822C: Update firmware to v9.9.4"
    - rtw88: RTL8822C: Update firmware to v9.9.4
    - rtlwifi: v88.2 firmware files for RTL8192CU

 -- maximilian attems <maks@debian.org>  Fri, 08 Jan 2021 10:05:27 +0100

firmware-nonfree (20201022-1) unstable; urgency=medium

  * New upstream version:
    - linux-firmware: Update Marvell Switchdev firmware with ABI changes
    - linux-firmware: move i915 firmware symlinks to WHENCE
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D1)
    - QCA : Updated firmware files for WCN3991
    - linux-firmware: Add new VPDMA firmware 1b8.bin
    - amdgpu: update navi10 firmware for 20.40
    - amdgpu: update navi12 firmware for 20.40
    - amdgpu: update navi14 firmware for 20.40
    - amdgpu: update picasso firmware for 20.40
    - amdgpu: update raven firmware for 20.40
    - amdgpu: update raven2 firmware for 20.40
    - amdgpu: update renoir firmware for 20.40
    - amdgpu: update vega10 firmware for 20.40
    - amdgpu: update vega12 firmware for 20.40
    - amdgpu: update vega20 firmware for 20.40
    - copy-firmware: Always write Link: entries
    - ice: Add comms package file for Intel E800 series driver
    - qcom : updated venus firmware files for v5.4
    - i915: Add DG1 DMC v2.02
    - iwlwifi: update 3168, 7265D, 8000C and 8265 firmwares
    - iwlwifi: update and add new FWs from core56-54 release
    - QCA : Updated firmware file for WCN3991
    - mediatek: separate venc service thread
    - ice: update package file to 1.3.16.0
    - ath10k: add SDIO firmware for QCA9377 WiFi
    - rtl_bt: Update RTL8821C BT FW to 0xAA6C_A99E
    - cypress: add Cypress firmware and clm_blob files
  * Update to linux-support 5.9.0-5.
  * iwlwifi: add Intel Bluetooth AX201 (var 32 rev 0) (closes: 975726)

 -- maximilian attems <maks@debian.org>  Mon, 04 Jan 2021 11:21:55 +0100

firmware-nonfree (20200918-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update navi10 firmware for 20.30
    - amdgpu: add navi12 firmware from 20.30
    - linux-firmware: mt7615: update firmware to 20200814 version
    - wl18xx: update firmware file 8.9.0.0.83
    - qcom: Add updated a5xx and a6xx microcode
    - brcm: Fix a stale symlink for RPi3 model b+
    - mediatek: update MT7915 firmware to 20200819
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
  * Update to linux-support 5.8.0-1.

 -- maximilian attems <maks@debian.org>  Wed, 23 Sep 2020 10:11:09 +0200

firmware-nonfree (20200817-1) unstable; urgency=medium

  [maximilian attems]
  * New upstream version:
    - linux-firmware: update NXP SDSD-8997 firmware image
    - amdgpu: update navi10 firmware for 20.30
    - amdgpu: update navi14 firmware for 20.30
    - amdgpu: update picasso firmware for 20.30
    - amdgpu: update raven firmware for 20.30
    - amdgpu: update raven2 firmware for 20.30
    - amdgpu: update renoir firmware for 20.30
    - amdgpu: update vega10 firmware for 20.30
    - amdgpu: update vega12 firmware for 20.30
    - amdgpu: update vega20 firmware for 20.30
    - i915: Add HuC firwmare v7.5.0 for TGL
    - i915: Add DMC firmware 2.08 for TGL
    - i915: Add DMC firmware 2.02 for RKL
    - rtl_bt: Update RTL8822C BT UART firmware to 0x0599_8A4F
    - brcm: Add brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt symlink
  * add rtw88 RTL8821C firmware (closes: #969000)
  * Update to linux-support 5.7.0-3.

  [ Aníbal Limón ]
  * qcom-soc: Add venus 5.2/5.4 firmware

 -- maximilian attems <maks@debian.org>  Thu, 03 Sep 2020 10:52:04 +0200

firmware-nonfree (20200721-1) unstable; urgency=medium

  * New upstream version:
    - QCA: Update WCN3991 FW files
    - amdgpu: add UVD firmware for SI asics
    - QCA: Update Bluetooth firmware for QCA6390
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - QCA: Add correct bin file for WCN3991
    - Update binary firmware for MT7663 based devices to include firmware offload feature and low power feature.
    - rtl_nic: update firmware for RTL8125B
    - Update to 20200629111339 version to aligh SDK. Mainly fix DFS false alarm.
  * add RTL8822C WoW firmware (closes: #968272)
  * add RTL8152/RTL8153 firmware (closes: #962972)

  [ Jeremy Stanley ]
  * brcm80211: include the NVRAM config file needed by GPD Pocket
    and Win UMPCs

 -- maximilian attems <maks@debian.org>  Mon, 24 Aug 2020 14:55:53 +0200

firmware-nonfree (20200619-1) unstable; urgency=medium

  [maximilian attems]
  * New upstream version:
    - linux-firmware: add rebb firmware for mt7663
    - QCA: Add Bluetooth firmware for QCA9377
    - linux-firmware: add firmware for MT7915E
    - rtw88: update firmware information and README
    - iwlwifi: update 8265 FW
    - iwlwifi: update FWs to core47-142 release
    - rtw88: RTL8821C: add firmware file v24.5
    - iwlwifi: update and add new FWs from core50-70 and core52-81 releases
    - mrvl: add firmware for Prestera ASIC devices
    - cxgb4: Update firmware to revision 1.24.17.0
    - rtw88: RTL8822C: update firmware version to v9.9
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - rtl_nic: add firmware for RTL8125B
    - amdgpu: update navi14 firmware from 20.20 release
    - amdgpu: update navi10 firmware from 20.20 release
    - amdgpu: update vega10 firmware from 20.20 release
    - amdgpu: update vega12 firmware from 20.20 release
    - amdgpu: update vega20 firmware from 20.20 release
    - amdgpu: add vega20 TA firmware from 20.20 release
    - amdgpu: update raven firmware from 20.20 release
    - amdgpu: update raven2 firmware from 20.20 release
    - amdgpu: update picasso firmware from 20.20 release
    - amdgpu: update renoir firmware from 20.20 release
   * add rtl8168fp-3 for Realtek's RTL8168fp/RTL8117. (closes: #956224)
   * add firmware-qcom-soc breaks and replaces against old firmware-qcom-media.
     (closes: #966025)

  [ Lucas Nussbaum ]
  * README.source: fix option name
  * qlogic: Add new firmware versions for the QLogic QL45000 series.
    Closes: #963558

  [ Hideki Yamane ]
  * add Realtek RTL8125 firmware. (closes: #947356)

  [ Aníbal Limón ]
  * qcom-soc: Add SDM845 Adreno 630/WLAN DSP SDM845 firmware
  * qcom-soc: Add missing _base to fw files for pkg desc

 -- maximilian attems <maks@debian.org>  Fri, 24 Jul 2020 17:13:23 +0200

firmware-nonfree (20200421-1) unstable; urgency=medium

  * New upstream version:
    - iwlwifi: update FWs for 3168, 7265D, 9000, 9260, 8000, 8265 and cc
    - iwlwifi: update -48 FWs for Qu and cc
    - netronome: nfp: update Agilio SmartNIC flower firmware to rev
      AOTC-2.10.A.38
    - atheros: ath10k: QCA4019 hw1.0: update board-2.bin
    - atheros: ath10k: QCA6174 hw3.0: update firmware-6.bin to
      WLAN.RM.4.4.1-00140-QCARMSWPZ-1
    - atheros: ath10k: QCA9888 hw2.0: update board-2.bin
    - atheros: ath10k: QCA9984 hw1.0: update board-2.bin
    - realtek: rtw88: RTL8822C: update rtw8822c_fw.bin to v7.3
    - realtek: rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - iwlwifi: update FWs to core45-152 release
    - realtek: rtl_bt: Update RTL8723D BT FW to 0x828A_96F1
    - amd-graphics: amdgpu: update raven2 ucode for 19.30
    - amd-graphics: amdgpu: update vega10 ucode for 19.30
    - amd-graphics: amdgpu: update vega12 ucode for 19.30
    - copy-firmware: Create symlinks from WHENCE file
    - Remove duplicate symlinks
    - misc-nonfree: nvidia: Update Tegra210 XUSB firmware to v50.24
    - atheros: ath10k: QCA6174 hw3.0: update board-2.bin
    - atheros: ath10k: QCA9887 hw1.0: update firmware-5.bin to 10.2.4-1.0-00047
    - atheros: ath10k: QCA9888 hw2.0: update firmware-5.bin to
      10.4-3.9.0.2-00070
    - atheros: ath10k: QCA988X hw2.0: update firmware-5.bin to 10.2.4-1.0-00047
    - atheros: ath10k: QCA9984 hw1.0: update firmware-5.bin to
      10.4-3.9.0.2-00070
    - amd-graphics: amdgpu: update raven microcode for 19.50
    - amd-graphics: amdgpu: update picasso microcode for 19.50
    - atheros: qca: update bluetooth firmware for QCA6174
    - netronome: nfp: update Agilio SmartNIC flower firmware to rev
      AOTC-2.12.A.13
    - amd-graphics amdgpu: update raven2 firmware for 19.50
    - realtek: rtl_bt: Update RTL8822C BT FW to V0x0998_C2B4
    - realtek: rtl_nic: update firmware for RTL8153A
    - amd-graphics: drm/amdgpu: update to latest 19.50 firmware for raven
    - atheros: qca: Fix blueooth firmware name for QCA6174
    - amd-graphics: amdgpu: update vega10 firmware from 19.50
    - amd-graphics: amdgpu: update vega12 firmware from 19.50
    - amd-graphics: amdgpu: update vega20 firmware from 19.50
    - iwlwifi: Update firmware file for Intel Bluetooth 9260
    - iwlwifi: Update firmware file for Intel Bluetooth 9560
    - iwlwifi: Update firmware file for Intel Bluetooth AX201
    - iwlwifi: Update firmware file for Intel Bluetooth AX200
    - misc-nonfree: cxgb4: Update firmware to revision 1.24.14.0
    - amd-graphics: amdgpu: update picasso firmware for 20.10
    - amd-graphics: amdgpu: update raven firmware for 20.10
    - amd-graphics: amdgpu: update raven2 firmware for 20.10
    - amd-graphics: amdgpu: update vega10 firmware for 20.10
    - amd-graphics: amdgpu: update vega12 firmware for 20.10
    - amd-graphics: amdgpu: update vega20 firmware for 20.10
    - realtek: rtl_bt: Update RTL8822C BT FW to 0x0999_3AA1

  [ Aníbal Limón ]
  * misc-nonfree: Update cxgb4 firmware versions in misc-nonfree
  * Update to linux-support 4.19.0-6
  * atheros: ath10k: add WCN3990 firmware
  * Add qcom-sdm845 firmware package
  * qcom-media; Add Adreno 630 firmware

  [ Salvatore Bonaccorso ]
  * realtek: Add firmware for Realtek 8822BE/8822CE devices.
    Thanks to Sjoerd Simons (Closes: #935969)

  [ Hideki Yamane ]
  * misc-nonfree: Add missing firmware file to i915 (Closes: #931930)

  [ Ben Hutchings ]
  * debian/rules: Implement build-arch and build-indep targets
  * debian/rules: Run gencontrol.py when source name or version changes
  * debian/rules: Run gencontrol.py when any template is changed
  * Drop firmware-{adi,ralink} transitional packages
  * debian/config/iwlwifi: Delete unused ABI 14 firmware
  * Update to linux-support 5.6.0-1:
    - gencontrol.py: Update Templates._get override to return file mode
  * debian/rules, debian/bin/gencontrol.py: Run copy-firmware.sh to create
    symlinks
  * Rename firmware-qcom-sdm845 to firmware-qcom-soc
  * Merge firmware-qcom-media into firmware-qcom-soc, leaving a transitional
    package
  * copyright: Fix invalid license names
  * misc-nonfree: Add Broadcom/Cypress Bluetooth firmware for HTC Vive
  * libertas: Add NXP 88W8977-SDIO and 88W8997-SDIO firmware
  * bnx2x: Include Broadcom NetXtreme II 10Gb 57710, 57711 and 57712 firmware
    version 7.13.15.0 (for Linux 5.5 onward)
  * amd-graphics: Add "Navi 10", "Navi 14", and "Renoir" firmware
  * amd-graphics: Add "Picasso", "Raven", and "Raven 2" TA firmware
  * amd-graphics: Add "Raven refresh" RLC firmware
  * misc-nonfree: Add new versions of Intel "Broxton", "Geminilake",
    "Icelake", "Kabylake", and "Skylake" HuC firmware
  * misc-nonfree: Add Intel "Icelake" DMC firmware version 1.09
  * misc-nonfree: Add Intel "Comet Lake", "Elkhart Lake", and "Tiger Lake"
    graphics firmware
  * misc-nonfree: Add Nvidia Tegra 186 and 194 XHCI firmware
  * misc-nonfree: Add Nvidia TU102/TU104/TU106 and TU116/TU117 signed firmware
  * netronome: Add Agilio CX and LX firmware supporting BPF or SR-IOV
  * netxen: Include firmware description and version in package description

  [ maximilian attems ]
  * Update to linux-support 5.7.0-1.
  * README.source: add git link to upstream repo and run instructions.

  [ Andres Salomon ]
  * brcm80211: include the various NVRAM config files needed by Raspberry Pi
    boards (closes: #964028).

 -- maximilian attems <maks@debian.org>  Wed, 15 Jul 2020 10:41:40 +0200

firmware-nonfree (20190717-2) unstable; urgency=medium

  * misc-nonfree: Add one more file of Nvidia GV100 signed firmware
    (thanks to Sven Joachim) (Closes: #928672)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Sep 2019 14:48:05 +0100

firmware-nonfree (20190717-1) unstable; urgency=medium

  * New upstream version:
    - iwlwifi:
      + Intel Wireless 22161, 9460/9650 (var 16 rev 1), and 9160/9260
        (var 16 rev 1) Bluetooth firmware version 21.30.0.4
      + Intel Wireless 8265 Bluetooth firmware version 21.10.0.6
      + Intel Wireless 8000C and 8265 firmware (ABI 36) version 36.8fd77bb3c.0
    - misc-nonfree:
      + Freescale i.MX6 SDMA firmware version 3.5
      + Freescale i.MX7 SDMA firmware version 4.5
    - libertas: Update license text
    - amd-graphics: Update to 19.20 release:
      + "Picasso" ASD and VCN firmware
      + "Raven" ASD, DMCU, and VCN firmware
      + "Raven 2" ASD firmware
      + "Polaris 12" SMC and K SMC firmware
      + "Vega 10" ASD, CE, ME, MEC, MEC2, PFP, and VCE firmware
      + "Vega 12" ASD, CE, ME, MEC, MEC2, and PFP firmware
      + "Tonga" K SMC firmware
    - amd-graphics: Revert "Vega 10" SOS firmware to 18.30 release
      (Closes: #928631)

  [ Ben Hutchings ]
  * atheros: Revert change of QCA9377 rev 1.0 firmware in 20180518-1
    (Closes: #919632)
  * debian/bin/release-update: Change to use upstream tagged versions
  * debian/bin/genorig.py: Change to use upstream tagged versions
  * iwlwifi:
    - Add Intel Wireless 9000 and 9260 firmware version 46.a41adfe7.0 (ABI 46)
    - Add Intel Wireless 22260 firmware version 46.3cfab8da.0 (ABI 46) and
      48.13675109.0 (ABI 48)
    - Add Intel Wireless 22000 series firmware version 48.13675109.0 (ABI 48)
    - Add Intel Bluetooth AX201 configuration and firmware version 21.20.0.4
  * misc-nonfree:
    - Add symlinks to enable use of newer Nvidia SEC2 firmware on some
      GP102, GP104, GP106, and GP107 boards
    - Add Intel "Broxton", "Geminilake", "Icelake", "Kabylake", and "Skylake"
      GuC firmware version 33.0.0
  * cavium: Add Cavium CNN55XX asymmetric crypto firmware version 01

  [ Romain Perier ]
  * misc-nonfree: Add GV100 signed firmware (Closes: #928672)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 28 Jul 2019 18:27:54 +0100

firmware-nonfree (20190502-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version:
    - Upstream version is commit 92e17d0dd2437140fab044ae62baf69b35d7d1fa
      dated 2019-05-02
    - amd-graphics:
      + "Polaris 12" firmware: latest from 18.50 branch
      + "Picasso", "Polaris 10", "Polaris 11", "Raven", "Raven 2", "Vega 10",
        and "Vega 12" firmware: latest 19.10 firmware
    - atheros:
      + Qualcomm Atheros QCA6174 rev 3.0 board configuration
      + Qualcomm Atheros QCA9888 rev 2.0 firmware version 10.4-3.9.0.2-00024
      + Qualcomm Atheros QCA988X firmware version 10.2.4-1.0-00043
      + Qualcomm Atheros QCA9984 rev 1.0 firmware version 10.4-3.9.0.2-00021
    - iwlwifi: Intel Wireless 8265, 9460/9650 (var 16 rev 1), and 9160/9260
      (var 16 rev 1) Bluetooth firmware version 21.0.0.4
    - libertas:
      + Avastar 88W8787 firmware version 14.68.35.p66
      + Avastar 88W8797-SDIO firmware version 14.68.29.p59
      + Avastar 88W8797-USB firmware version 14.68.29.p60
      + Avastar 88W8801-SDIO firmware version 14.68.36.p204
      + Avastar 88W8887 firmware version 15.68.7.p189 (WLAN) /
        15.26.7.p189 (BT)
      + Avastar 88W8897-PCIe firmware version 15.68.19.p21 (WLAN) /
        15.28.19.p21 (BT)
      + Avastar 88W8897-SDIO firmware version 15.68.19.17 (WLAN) /
        15.26.19.17 (BT)
      + Avastar 88W8997-PCIe firmware version 16.68.1.p195
      + Avastar 88W8997-PCIe-UART firmware version 16.68.1.p179 (WLAN) /
        16.26.1.p179 (BT)
      * Avastar 88W8997-PCIe-USB firmware version 16.68.1.p195 (WLAN) /
        16.26.1.p195 (BT)
      + Avastar 88W8997-USB firmware version 16.68.1.p183 (WLAN) /
        16.26.1.p183 (BT)
    - misc-nonfree:
      + Chelsio T4, T5, and T6 firmware version 1.23.4.0
      + Intel QAT C3xxx, C62x, and DH895xCC UOF firmware
    - netronome:
      + Agilio CX and LX firmware version 2.1.16.1
        * Fixes DMAR errors that occurred when using the firmware with DPDK
          applications
      + Agilio CX flower firmware version AOTC-2.10.A.23
        * Improve tunnel setup time in low traffic rate scenarios
  * debian/*.metainfo.xml: Remove line breaks from summary
  * debian/*.metainfo.xml: Replace hyphens with underscores in id
  * Use dpkg-trigger directly to trigger update-initramfs
  * amd-graphics: Trigger update-initramfs when installed (Closes: #928510)
  * cavium, netronome: Trigger update-initramfs when installed
  * atheros: Add Qualcomm Atheros QCA9377 rev 1.0 firmware version
    WLAN.TF.2.1-00021-QCARMSWP-1 (Closes: #903437, #919632, #927917)
  * amd-graphics: Add "Vega 20" firmware (Closes: #927286)
  * misc-nonfree: Add new Intel GuC and HuC firmware:
    - Intel "Broxton", "Geminilake", "Icelake", "Kabylake", and "Skylake" GuC
      firmware version 32.0.3
    - Intel "Geminilake" HuC firmware version 3.1.2893
    - Intel "Icelake" HuC firmware version 8.4.3238
  * Update to linux-support 4.19.0-5
  * iwlwifi: Add Intel Wireless 22161 Bluetooth configurations and firmware
  * netronome: Add Agilio LX flower firmware
  * atheros: Add Qualcomm WCN3990 and Qualcomm Atheros QCA6174 Bluetooth
    firmware
  * realtek: Add Realtek RTL8822CU Bluetooth firmware
  * atheros: Include "Qualcomm" in the package short description

  [ Raphaël Hertzog ]
  * misc-nonfree: Add firmware for MediaTek MT76x0/MT76x2u wireless chips
    (Closes: #919452)
  * misc-nonfree: Add firmware for MediaTek MT7622/MT7668 bluetooth chips

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 06 May 2019 22:02:45 +0100

firmware-nonfree (20190114-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version:
    - Upstream version is commit bc656509a3cfb60fcdfc905d7e23c18873e4e7b9
      dated 2019-01-14
    - cavium: Cavium CNN55XX crypto firmware update version v10
    - intel-sound: Intel Cannonlake SST DSP firmware update version
      10.23.00.1858
    - misc-nonfree:
      + Chelsio T4, T5, and T6 firmware version 1.22.9.0
      + NVIDIA GP102 firmware update
      + NVIDIA GP104 firmware update
      + NVIDIA GP106 firmware update
      + NVIDIA GP107 firmware update
      + Intel OPA Gen1 DC firmware update version 1.27.0
    - brcm80211: BCM43362 firmware update
    - atheros:
      + firmware update for QCA61x4 version 3.2 USB BT (CVE-2018-5383)
      + Qualcomm Atheros QCA9984 rev 1.0 board configuration update
      + Qualcomm Atheros QCA9984 rev 1.0 firmware update version
        10.4-3.6.0.1-00003
      + Qualcomm Atheros QCA988X firmware update version 10.2.4-1.0-00041
      + Qualcomm Atheros QCA9888 rev 2.0 board configuration update
      + Qualcomm Atheros QCA9888 rev 2.0 firmware update version 10.4-3.6-00140
      + Qualcomm Atheros QCA9887 rev 1.0 firmware update version
        10.2.4-1.0-00041
      + Qualcomm Atheros QCA4019 rev 1.0 board configuration update
      + Qualcomm Atheros QCA4019 rev 1.0 firmware update version 10.4-3.6-00140
    - netronome:
      + Agilio CX 2x10GbE,2x40GbE,2x25GbE flower firmware update version
        AOTC-2.10.A.13
      + Agilio SmartNIC firmware update version 2.1.16
    - iwlwifi:
      + 9460/9650 (var 16 rev 1) Bluetooth firmware version 20.100.0.3
      + 9160/9260 (var 16 rev 1) Bluetooth firmware version 20.100.0.3
      + 8260/8265 Bluetooth firmware version 20.100.0.3
      + Add Intel Wireless 9000 firmware version 41.fc1a7aea.0
      + Add Intel Wireless 9260 firmware version 41.fc1a7aea.0
      + Intel Wireless 9000/9260 firmware update version 38.755cfdd8.0
      + Intel Wireless 3160,7260,7265 firmware update version 17.bfb58538.0
      + Intel Wireless 8000C,8265 firmware update version 36.9f0a2d68.0
    - amd-graphics:
      + "Polaris10", "Polaris11", "Raven" firmware updates to sync with
        18.50 release
      + "Fiji", "Tonga", "Vega10", "Carrizo" firmware updates to sync with
        18.40 release
    - libertas: Marvell Avastar 88W8801-USB firmware version 14.68.36.p138
  * amd-graphics:
    - Add AMD Vega M firmware (Closes: #907598)
    - Add Radeon HD 7800 series firmware to /lib/firmware/amdgpu
      (Closes: #908632)
  * Update to linux-support 4.19.0-1

  [ Yves-Alexis Perez ]
  * firmware-linux: fix typo in short description
  * firmware-atheros: remove unused lintian override
  * firmware-misc-nonfree: remove unused lintian override

  [ David Lechner ]
  * ti-connectivity: include TIInit_6.2.31.bts and TIInit_6.6.15.bts for
    CC2560(A) Bluetooth

  [ Ben Hutchings ]
  * debian/README.source: Document the genorig.py --commit option
  * amd-graphics: Add firmware for "Picasso", "Raven 2", and "Vega 12" chips
  * amd-graphics: Add additional firmware for Radeon HD 7800 series,
    "Polaris", and "Raven" chips
  * amd-graphics: Add firmware for older chips supported by amdgpu to
    /l/f/amdgpu
  * amd-graphics: Fix quoting in descriptions of Vega M firmware
  * debian/source/options: Delete redundant compression setting; satisfy
    lintian

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 15 Jan 2019 22:51:01 +0000

firmware-nonfree (20180825+dfsg-1) unstable; urgency=medium

  * Exclude Cavium LiquidIO 23xx vswitch firmware, which contains a Linux
    kernel image (Closes: #907585)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 29 Aug 2018 21:14:09 +0100

firmware-nonfree (20180825-1) unstable; urgency=medium

  * New upstream version:
    - Upstream version is commit fea76a04f25fd0a217c0d566ff5ff8f23ad3e648
      dated 2018-08-25
    - cavium: LiquidIO 23xx vswitch firmware version 1.7.2
    - iwlwifi:
      + 7265 (D0) Bluetooth firmware patch version 20.60.0.2
      + 7265 (D1) Bluetooth firmware patch version 20.70.0.4
      + 8260 Bluetooth firmware version 20.70.0.4
      + 8265 Bluetooth firmware version 20.70.0.4
      + 9160/9260 (var 16 rev 1) Bluetooth firmware version 20.70.0.4
      + 9460/9650 (var 16 rev 1) Bluetooth firmware version 20.70.0.4
    - amd-graphics:
      + "Vega 10" VCE firmware version 55.3
      + "Bonaire", "Hawaii", "Kabini", "Mullins", "Kaveri", "Hainan",
        "Oland", "Tahiti", "Pitcairn", "Verde" firmware updates to
        sync with 18.20 release
      + "Fiji", "Polaris10", "Polaris11", "Polaris12", "Raven", "Tonga",
        "Vega10" firmware updates to sync with 18.30 release
      + Update copyright date
    - brcm80211:
      + BCM43430 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM43340 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM43362 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM4354 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM4356 pcie firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
    - misc-nonfree: Chelsio T4, T5, and T6 firmware version 1.20.8.0
    - libertas: Marvell Avastar 88W8801-USB firmware version 14.68.36.p131
    - ti-connectivity: TI WL18xx firmware, ABI 4, version 8.9.0.0.79
    - netronome: Agilio CX flower firmware version AOTC-2.9.A.31

  [ Romain Perier ]
  * Add a new script for generating debian changelog
  * qlogic: Add QLogic QL45000 series firmware version 8.37.2.0

  [ Ben Hutchings ]
  * Add back firmware-{adi,ralink} as transitional packages (Closes: #907320)
  * Update to linux-support 4.17.0-3
  * iwlwifi: Use "release" rather than "build" or "patch" version strings for
    all Bluetooth firmware files
  * intel-sound: Add Intel "Kabylake" SST DSP firmware version 9.21.00.3420_163
  * atheros: Add Wil62x0 default board parameters and firmware for use
    with the wil6210 driver

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 26 Aug 2018 15:43:40 +0100

firmware-nonfree (20180518-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version:
    - Upstream version is commit 2a9b2cf50fb32e36e4fc1586c2f6f1421913b553
      dated 2018-05-18
    - amd-graphics:
      + "Fiji" VCE firmware version 53.20
      + "Polaris" UVD firmware version 1.130
      + "Polaris" VCE firmware version 53.26
      + "Vega 10" UVD firmware version 1.87
      + "Vega 10" VCE firmware version 53.45
      + "Carrizo", "Fiji", "Polaris", "Tonga", "Topaz", "Vega 10" firmware
        updates to sync with 18.10 release
    - atheros:
      + QCA4019 rev 1.0 board configuration update
      + QCA4019 rev 1.0 firmware version 10.4-3.5.3-00053
      + QCA6174 rev 3.0 board configuration update
      + QCA6174 rev 3.0 firmware version WLAN.RM.4.4.1-00079-QCARMSWPZ-1
      + QCA9377 rev 1.0 firmware version WLAN.TF.1.0-00002-QCATFSWPZ-5
      + QCA9887 rev 1.0 firmware version 10.2.4-1.0-00037
      + QCA9888 rev 2.0 firmware version 10.4-3.5.3-00053
      + QCA988X firmware version 10.2.4-1.0-00037
      + QCA9984 rev 1.0 firmware version 10.4-3.5.3-00053
    - brcm80211 (Closes: #869639):
      + BCM4339 firmware update (CVE-2016-0801)
      + BCM4354 firmware update (CVE-2016-0801, CVE-2017-0561, CVE-2017-9417)
      + BCM4356-PCIe firmware update (CVE-2016-0801, CVE-2017-0561,
        CVE-2017-9417)
      + BCM4358 firmware update (CVE-2016-0801, CVE-2017-0561, CVE-2017-9417)
    - cavium: Update Cavium LiquidIO 210Nv, 210Sv, 23xx, 410Nv firmware to
      version 1.7.2
    - intel-sound:
      + "Broxton", "Geminilake" firmware version 9.22.01.3366_157
      + "Kabylake", "Skylake" firmware version 9.21.00.3402_161
    - iwlwifi:
      + 3160, 7260, 7265 firmware (ABI 17) version 17.388f111f.0
      + 3160 (B4), 7260 (B3) Bluetooth firmware patch version 87
      + 3160 (B6), 7260 (B5) Bluetooth firmware patch version 42
      + 3168, 7265D firmware (ABI 29) version 29.3e3b4de5.0
      + 7265 (D1) Bluetooth firmware patch version 52
      + 8000C, 8265 firmware (ABI 31) version 31.560484.0
      + 8260 Bluetooth configuration and firmware version REL0458
      + 8265 Bluetooth configuration and firmware version REL0226
    - libertas: Update Avastar firmware to include WPA2 vulnerability fix:
      + 88W8897-PCIe firmware version V15.68.7.p154 (WLAN) / 15.28.7.p154 (BT)
      + 88W8897-SDIO firmware version V15.68.7.p154 (WLAN) / 15.68.7.p154 (BT)
      + 88W8997-PCIe-USB firmware version V16.68.1.p145 (WLAN) /
        16.26.1.p145 (BT)
      + 88W8997-USB firmware version V16.68.1.p162 (WLAN) / 16.26.1.p162 (BT)
    - misc-nonfree: Update Chelsio T4, T5, and T6 firmware to version 1.19.1.0
    - misc-nonfree: Update Intel OPA Gen1 DC firmware to version 1.26.1
    - misc-nonfree: Update Sensoray 2255 firmware to version 1.2.8
    - ti-connectivity:
      + WL127x multi-role firmware version 6.5.7.0.50
      + WL127x PLT (calibration) firmware version 6.3.10.0.142
      + WL127x single-role firmware version 6.3.10.0.142
      + WL128x multi-role firmware version 7.5.7.0.50
      + WL128x PLT (calibration) firmware version 7.3.10.2.142
      + WL128x single-role firmware version 7.3.10.0.142
      + WL18xx firmware version 8.9.0.0.76, includes WPA2 KRACK fix

  [ Ben Hutchings ]
  * debian/bin/gencontrol.py: Set encoding to UTF-8 globally
  * debian/bin/gencontrol.py: Sort list of symlink names for each blob
  * debian/control: Point Vcs URLs to Salsa
  * amd-graphics: Add basic descriptions of all files
  * amd-graphics: Add "Polaris" new CE, ME, MEC, MEC2, PFP firmware
    (Closes: #891364)
  * amd-graphics: Add "Raven" firmware (Closes: #891042)
  * iwlwifi: Add Intel Wireless 8000C and 8265 firmware version 36.e91976c0.0
    (ABI 36) (Closes: #893952, #892408)
  * iwlwifi: Add Intel Wireless 9000 and 9260 firmware versions 34.ba501b11.0
    (ABI 34) and 38.c0e03d94.0 (ABI 38) (Closes: #899101)
  * iwlwifi: Update driver list in package description
  * iwlwifi: Remove old firmware versions not used in any active Debian release
  * qlogic: Add QLogic QL45000 series firmware versions 8.33.1.0 and 8.33.11.0
    (Closes: #900036)
  * qlogic: Remove old QLogic QL4500 firmware versions not used in any active
    Debian release
  * brcm80211: Add Broadcom BCM43430 rev 0 firmware
  * brcm80211: Add Cypress CYW4373 firmware
  * brcm80211: Add Cypress to the package description
  * realtek: Add Realtek RTL8723DE and RTL8822BE firmware (Closes: #885016)
  * iwlwifi: Add Intel Wireless 9160/9260/9460/9650 Bluetooth configurations
    and firmware
  * realtek: Add Realtek RTL8723D and RTL8821C Bluetooth configurations and
    firmware
  * intel-sound: Add Intel "Cannonlake" SST DSP firmware
  * cavium: Add Cavium LiquidIO 23xx vswitch firmware
  * misc-nonfree: Add new Intel GPU firmware:
    - "Cannonlake" and "Geminilake" DMC firmware
    - "Broxton" GuC firmware version 9.29
    - "Kabylake" GuC firmware version 9.39
    - "Skylake" GuC firmware version 9.33
  * Revert "misc-nonfree: Replace Nvidia firmware symlinks with copies"
  * Revert "Add per-file copy flag, allowing replacement of upstream symlinks
    with copies"
  * misc-nonfree: Add new Nvidia GPU firmware
  * misc-nonfree: Rockchip cdn DisplayPort controller firmware
  * Add firmware-netronome package containing Netronome network adapter
    firmware
  * Add firmware-qcom-media package containing Qualcomm graphics/video
    firmware
  * misc-nonfree: Fill in copyright for nvidia/*
  * ivtv: Change Homepage field to archive.org version, as the old site is now
    domain-squatted
  * Set a default Homepage for all packages other than firmware-ivtv and
    firmware-ipw2x00
  * misc-nonfree: Fill in copyright and license text for imx/sdma/*
  * Update to linux-support 4.17.0-1

  [ Romain Perier ]
  * misc-nonfree: Add DMC firmware for "Kabylake" v1.04 (Closes: #898267)
  * misc-nonfree: Add SDMA firmware for Freescale i.MX6/7 SoCs
    (Closes: #900266)
  * misc-nonfree: Add DMC firmware for "Skylake" v1.27 (Closes: #900871)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 27 Jul 2018 00:56:57 +0800

firmware-nonfree (20170823-1) unstable; urgency=medium

  * New upstream version:
    - Upstream version is commit b78acc9f0e26459ce2bb586bb00d28bcc14b2c26
      dated 2017-08-23
    - atheros: Update Qualcomm Atheros firmware:
      + QCA4019 rev 1.0, QCA6174 rev 3.0, QCA9377 rev 1.0, QCA9888 rev 2.0,
        QCA9984 rev 1.0 board configurations
      + QCA4019 rev 1.0 firmware version 10.4-3.4-00082
      + QCA9887 rev 1.0 firmware version 10.2.4-1.0-00029
      + QCA9888 rev 2.0 firmware version 10.4-3.5.1-00014
      + QCA988X firmware version 10.2.4.70.63-2
      + QCA9984 rev 1.0 firmware version 10.4-3.4-00082
    - brcm80211: Update Broadcom BCM43340 firmware
    - cavium: Update LiquidIO 210Nv, 210Sv, 410Nv firmware to version 1.6.1
    - intel-sound: Update Intel SST DSP firmware:
      + for "Skylake" chips, version 8.20.00.969
      + for "Broxton" chips, version 9.22.01.2219
      + for "Kabylake" chips, version 9.21.00.2630
    - iwlwifi: Update Intel Wireless firmware:
      + 3160, 7260, 7265 firmware (ABI 17) version 17.459231.0
      + 3168, 7265D, 8000C, 8265 firmware (ABI 22) version 22.391740.0
      + 7265 (D1) Bluetooth firmware patch version 28
      + 8260 Bluetooth configuration and firmware version REL0370
      + 8265 Bluetooth firmware version REL0101
    - libertas: Update Avastar firmware:
      + 88W8887 firmware version 15.68.1.p71
      + 88W8897-SDIO firmware version 15.68.7.p112
      + 88W8997-PCIe-USB firmware version 16.68.1.p97
    - misc-nonfree: Update Intel OPA Gen1 DC firmware to version 0.47; PCIe
      serdes firmware to version 0x4755; remove platform config
    - misc-nonfree: Update Chelsio T4 and T5 firmware to version 1.16.45.0
    - qlogic: Update QLogic ISP2422, ISP2432[M], SP222, SP232, ISP2532 firmware
      to version 8.07.00
    - realtek: Update Realtek RTL8822B Bluetooth config and firmware
    - ti-connectivity: Update TI WL127x and WL128x firmware:
      + WL127x multi-role firmware version 6.5.7.0.49
      + WL127x PLT (calibration) firmware version 6.3.10.0.141
      + WL127x single-role firmware version 6.3.10.0.141
      + WL128x multi-role firmware version 7.5.7.0.49
      + WL128x PLT (calibration) firmware version 7.3.10.2.141
      + WL128x single-role firmware version 7.3.10.0.141
  * Update to linux-support 4.12.0-1
  * misc-nonfree: Update Intel OPA Gen1 firmware type and version information
  * iwlwifi: Fix Intel Wireless 8265 Bluetooth file descriptions
  * atheros: Fix Qualcomm Atheros QCA9887 and QCA9888 file descriptions
  * amd-graphics: Include firmware for "Polaris" 1.2 and "Vega" 1.0 chips, and
    K SMC firmware for "Polaris" 1.0 and 1.1 and new "Hainan" chips
    (Closes: #864529, #868152)
  * atheros: Update copyright information for ath10k/QCA*/hw*/firmware-*.bin
  * atheros: Include Qualcomm Atheros QCA6174 rev 3.0 firmware version
    WLAN.RM.4.4-00022-QCARMSWPZ-2
  * brcm80211: Include Broadcom BCM4356-SDIO and BCM4358 firmware
  * cavium: Include Cavium CNN55XX and LiquidIO 23xx firmware
  * misc-nonfree: Include Chelsio T6 firmware
  * misc-nonfree: Include Intel "Broxton", "Kabylake", "Skylake" HuC firmware
    (Closes: #864601)
  * intel-sound: Include Intel "Geminilake" SST DSP firmware
  * iwlwifi: Include new firmware for Intel Wireless 3168 and 7265D (ABI 29),
    8000C and 8265 (ABI 27, 31)
  * libertas: Include Avastar 88W8997-PCIe and 88W8997-USB firmware
  * misc-nonfree: Include MediaTek MT76x2 firmware and ROM patch
  * misc-nonfree: Include new Nvidia GPU firmware (Closes: #872641)
  * qlogic: Include QLogic QL45000 series firmware versions 8.15.3.0, 8.20.0.0
  * realtek: Include new firmware:
    - RTL8192EU, RTL8723BU WoWLAN firmware
    - RTL8723BE firmware version 36
    - RTL8723BS firmware
    - RTL8821AE firmware version 29
  * Move AppStream metainfo to /usr/share/metainfo
  * Update Standards-Version to 4.0.1:
    - Use https scheme in copyright format URL

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 27 Aug 2017 15:21:48 +0100

firmware-nonfree (20161130-3) unstable; urgency=medium

  * misc-nonfree: Include Intel OPA Gen1 firmware (Closes: #862458)
  * misc-nonfree: Add Intel "Broxton" GuC firmware version 8.7 and
    Intel "Kabylake" GuC firmware version 9.14 (Closes: #854695)
  * iwlwifi: Fix DDC file format for Intel Bluetooth 8260/8265
    (Closes: #854907)
  * amd-graphics: Add radeon/si58_mc.bin (Closes: #856853)
  * Revert "ipw2x00: Downgrade Intel Pro 2200/2915 firwmare to version 3.0"
    (Closes: #833551)
  * Update to linux-support 4.9.0-1

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 06 Jun 2017 00:56:25 +0100

firmware-nonfree (20161130-2) unstable; urgency=medium

  * debian/control: Add XS-Autobuild field
  * misc-nonfree: Replace Nvidia firmware symlinks with copies, to avoid a
    bug in initramfs-tools (Closes: #847343)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 14 Dec 2016 03:59:09 +0000

firmware-nonfree (20161130-1) unstable; urgency=medium

  * New upstream version
    - Upstream version is commit 87941021a622c882b1921df85d6115940a4e568a,
      dated 2016-11-30
    - amd-graphics: Update SMC microcode for Radeon HD 7790/7800/7900/
      8500/8600/8700/8770/8950 series, R9 290 series, "Fiji", "Polaris",
      and "Topaz" chips
    - amd-graphics: Update UVD microcode for "Carrizo" chips to version
      1.87, for "Fiji" chips to version 1.87.12, for "Stoney" chips to
      version 1.38.15, and for "Tonga" chips to version 1.65.10
    - amd-graphics: Update VCE microcode for "Fiji" and "Topaz" chips to
      version 52.8.3
    - intel-sound: Update "Bay Trail" SST DSP firmware to version
      01_0C_00_01
    - iwlwifi: Update Intel Wireless Bluetooth firmware patch for
      3160 (B6) to version 39, for 7260 (B6) to version 39, and for
      7265 (C0) to version 59
    - iwlwifi: Update Intel Wireless Bluetooth configuration and firmware
      for 8260 to version REL0351, and for 8264 to version REL0082
  * amd-graphics: Include SMC microcode for newer Radeon HD, "Tonga" and
    "Iceland" chips (Closes: #838858)
  * misc-nonfree: Include Nvidia GM200, GM204, GM206, GM20B and GP100
    signed firmware (Closes: #823637, #826996)
  * atheros: Include Bluetooth firmware for QCA61x4 (thanks to Mario
    Limonciello) (Closes: #841092)
  * misc-nonfree: Include Intel "Kabylake" DMC firmware and Intel
    "Skylake" GuC firmware version 6.1 (Closes: #838476, #842762)
  * brcm80211: Include Broadcom BCM43430 firmware
  * libertas: Include Marvell Avastar 88W8997 firmware
  * libertas: Update descriptions of supported chips
  * realtek: Include Realtek RTL8822B Bluetooth config and firmware,
    RTl8192EU firmare and RTl8723BU firmware
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * copyright: Fix structured copyright files to follow the machine-
    readable debian/copyright format version 1.0
  * Update to linux-support 4.8.0-1

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 03 Dec 2016 21:20:01 +0000

firmware-nonfree (20160824-1) unstable; urgency=medium

  * New upstream version
    - Upstream version is commit 7534e191256629a20c02e04d5f6d0439c48de80a
      dated 2016-08-24
    - iwlwifi: Update Bluetooth firmware for Intel Wireless 3160, 7260, 7265
      and 8260
    - amd-graphics: Update firmware for "Bonaire", "Carrizo", "Fiji", "Hawaii",
      "Kabini", "Kaveri", "Mullins", "Stoney", "Tonga" and "Topaz" chips
    - amd-graphics: Revert change to "Kaveri" MEC firmware included in
      version 20151207-1
    - atheros: Update Qualcomm Atheros QCA6174 rev 2.1 and QCA988X firmware
    - misc-nonfree: Update Ralink RT2760/RT2790/RT2860/RT2890/RT3090 and
      RT2870/RT3070/RT3071/RT3072 firmware
    - misc-nonfree: Update Chelsio T4 and T5 firmware
    - intel-sound: Update Intel "Cherry Trail"/"Braswell" SST DSP firmware
    - misc-nonfree: Update Intel "Broxton" and "Skylake" DMC firmware
  * Update to linux-support 4.7.0-1
  * iwlwifi: Include new firmware for Intel Wireless 3160, 7260 and 7265
    (ABI 17); 7265D (ABI 17, 21 and 22); 3168, 8000C and 8265 (ABI 21 and 22)
    (Closes: #808792, #823402, #833355, #833876)
  * amdgpu: Include new firmware for "Polaris" chips (Closes: #838038)
  * qlogic: Include new QLogic QL45000 series firmware
  * brcm80211: Include Broadcom BCM4366 firmware
  * misc-nonfree: Include Sensoray 2255 firmware for use with the s2255drv
    driver
  * ti-connectivity: Update licence text
  * ti-connectivity: Include new TI WL18xx firmware (ABI 4) (Closes: #816350)
  * ti-connectivity: Include "ti-connectivity/TIInit_7.2.31.bts" for use with
    the st_drv driver
  * atheros: Include firmware for Atheros AR3012 rev 31010100 and Qualcomm
    Atheros QCA4019, QCA9377, QCA9887, QCA9888, and QCA9984 adapters, and
    new board configurations for Qualcomm Atheros QCA6174 adapters
    (Closes: #800820, #832925)
  * misc-nonfree: Include Terratec H5 DRX-K firmware for use with the
    em28xx-dvb driver
  * iwlwifi: Include Intel Wireless 8264 Bluetooth firmware
  * misc-nonfree: Include Comtrol RocketPort 2 firmware for use with the
    rp2 driver
  * misc-nonfree: Include MOXA UPort firmware for use with the mxuport and
    ti_usb_3410_5052 drivers
  * intel-sound: Include Intel "Broxton", "Kabylake", and "Skylake" SST DSP
    firmware
  * atheros: Suppress lintian warning for reference to GPL where the runtime
    exception has been used

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 18 Sep 2016 04:15:29 +0100

firmware-nonfree (20160110-1) unstable; urgency=medium

  * New upstream version
    - Upstream version is commit 73b07a93ed6c0cdb2f96dae8387b04cbb7b75643,
      dated 2016-01-10
    - libertas: Marvell PCIE8897 and SD8897 firmware updated to version
      15.68.7.p53
    - libertas: Marvell USB8797 firmware updated to version 14.68.29.p49
    - misc-nonfree: Intel QAT DH895xCC firmware updated
    - atheros: Clarified licensing terms for the current ath9k_htc firmware
  * Add AppStream metadata to all packages containing firmware blobs
  * genorig.py: Make orig tarballs really reproducible:
    - Override umask while extracting/exporting files
    - Override user and group names in tarball
  * libertas: Include SD8801 and USB8801 firmware for use with the mwifiex_sdio
    and mwifiex_usb drivers
  * misc-nonfree: Include Intel QAT C3xxx and C62x firmware for use with the
    intel_qat driver
  * brcm80211: Include Broadcom BCM4350 rev 5+ firmware for use with the
    brcmfmac driver
  * qlogic: Include QLogic QL45000 series firmware version 8.7.3.0 for use with
    the qed driver
  * Update to linux-support 4.3.0-1

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Jan 2016 21:34:11 +0000

firmware-nonfree (20151207-1) unstable; urgency=medium

  * New upstream version
    - Upstream version is commit bbe4917c054eb0a73e250c6363341e3bf6725839
      dated 2015-12-07
    - brcm80211: Broadcom BCM4356 firmware updated
    - iwlwifi: Bluetooth firmware patches updated as noted in the package
      description
    - qlogic: QLogic ISP2422, ISP2432[M], SP222, SP232 and ISP2532 firmware
      updated to version 8.03.00
    - brcm80211: Broadcom BCM43602 firmware updated:
      + fixing WoWLAN
      + fixing problems with hibernate
      + support for dma error checking
  * ipw2x00: Downgrade Intel Pro 2200/2915 firwmare to version 3.0
    (Closes: #591775, #615112, #729542)
  * debian/README.source: Update for the conversion to a non-native package
  * atheros: Include Atheros AR7010 and AR9271 firmware version 1.4.0
  * iwlwifi: Include Intel Wireless 3160, 7260, 7265, 7265D and 8000C
    firmware version 16.242414.0 (Closes: #802970, #803920)
    - The version numbering scheme has changed to put the ABI version first
  * iwlwifi: Exclude obsolete firmware (ABIs 7, 8, 10, 13)
  * bnx2x: Include Broadcom NetXtreme II 10Gb 57710, 57711 and 57712 firmware
    version 7.13.1.0 (for Linux 4.5 onward)
  * bnx2x: Exclude obsolete firmware (version 7.8.17.0)
  * bnx2: Exclude obsolete firmware (version 5.0.0.j3)
  * amd-graphics: Include microcode for "Stoney" chip supported by the amdgpu
    driver and new microcode for several other chips
  * misc-nonfree: Include Intel "Skylake" video interface firmware
    version 1.23, replacing earlier versions
  * brcm80211: Include Broadcom BCM4350 firmware, BCM43602 AP-mode firmware
    and BCM4371 firmware
  * qlogic: Include QLogic QL45000 series firmware for use with the qed driver
  * misc-nonfree: Include MediaTek MT7601U firmware

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Dec 2015 02:39:46 +0000

firmware-nonfree (20151018-2) unstable; urgency=medium

  * amd-graphics, misc-nonfree: Add Breaks and Replaces relations to older
    firmware-linux-nonfree, to support upgrades (Closes: #802336, #802337)
  * misc-nonfree: Change Conflicts relation with firmware-{adi,ralink} to
    Breaks

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 19 Oct 2015 18:23:20 +0100

firmware-nonfree (20151018-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * Convert to a non-native package with linux-firmware.git as upstream
    (Closes: #790061)
    - Upstream version is commit 66d3d8d7607c9a3a7d083f81990f6523f5842065,
      dated 2015-10-18
    - iwlwifi: Bluetooth firmware patches updated as noted in the package
      description
  * realtek: Remove RTL8192SU/rtl8192sfw.bin, which has not been needed since
    r8192s_usb was replaced by r8172u (Closes: #793874)
  * Adjust for migration to git:
    - Add .gitignore file
    - debian/control: Update Vcs-* fields
  * samsung: Add copyright holder to copyright file
  * debian/control: Update Standards-Version to 3.9.6; no changes needed
  * Update to linux-support 4.1.0-2
  * debian/control: Drop Frederik Schüler and dann frazier from Uploaders
  * debian/bin: Use Python 3 (as assumed by linux-support-4.2.0-1)
  * check_upstream.py: Report possibly undistributable files that are not
    excluded
  * check_upstream.py: Recognise GPLv3 and GPL dual-licenced files
  * check_upstream.py: Reimplement check for unpackaged firmware
  * debian/control: Set the upstream homepage URL to the current cgit page
    for linux-firmware.git (except for ipw2x00 and ivtv packages)
  * linux-nonfree: Split into firmware-{amd-graphics,misc-nonfree} packages
  * amd-graphics: Include Radeon HD 7900 series VCE microcode (Closes: #800090)
  * amd-graphics: Include microcode for "Carrizo", "Fiji", "Tonga" and "Topaz"
    chips supported by the amdgpu driver
  * misc-nonfree: Update Chelsio T4 and T5 firmware to version 1.14.4.0
  * atheros: Include firmware for Atheros AR3012 rev 11020100 and for
    Qualcomm Atheros QCA988X, QCA9XX0 and QCA6174 adapters supported by the
    ath10k driver (Closes: #724970)
  * bnx2x: Include Broadcom NetXtreme II 10Gb 57710, 57711 and 57712 firmware
    version 7.12.30.0 (for Linux 4.3 onward)
  * brcm80211: Include firmware for many more chips supported by the
    brcmfmac driver (Closes: #795303, #800440)
  * qlogic: Convert copyright file to structured format
  * qlogic: Include firmware for QLogic (formerly Brocade) Fibre Channel
    adapters and Converged Network Adapters supported by the bfa and bna
    drivers (Closes: #620066)
  * iwlwifi: Include firmware for Intel Wireless 8000C and 8260, Bluetooth
    firmware patch for Intel Wireless 7265 (D1), and firmware versions
    25.17.12.0 (ABI 12) and 25.30.13.0 (ABI 13) for Intel Wireless 3160,
    7260, 7265 and 7265D (Closes:  #769633, #793544)
  * misc-nonfree: Include firmware for Abilis Systems AS102 DVB front-end,
    Creative CA0132 audio codec, Chelsio T4 10GBASE-T adapters, Micronas
    GO7007SB video encoder, Intel "Skylake" and "Broxton" video
    interfaces, MediaTek MT7630/MT7650 Bluetooth adapters, Nvidia Tegra
    GPU and XHCI interfaces, and Intel QAT DH895xCC crypto-accelerators
  * adi, ralink: Merge into the firmware-misc-nonfree package
  * Add firmware-siano package containing firmware for Siano Mobile Digital
    TV receivers supported by the smsmdtv driver
  * Add firmware-intel-sound package containing firmware for Intel SST sound
    DSPs supported by the snd-soc-sst-acpi or snd-intel-sst-acpi driver
    (Closes: #774914)
  * myricom: Include Myri-10G firmware variants supporting big RX rings
  * libertas: Include firmware for SD8887, USB8766 and USB8897
  * Add firmware-cavium package containing firmware for Cavium LiquidIO
    Ethernet cards
  * realtek: Include firmware for various Bluetooth adapters (Closes: #801514)
  * qlogic, samsung: Suppress lintian warning about reference to GNU GPL

  [ maximilian attems ]
  * iwlwifi: Update Intel Wireless 3160, 7260, 7265 and 7265D firmware version
    25.30.14.0 (ABI 14)
  * iwlwifi: Add Intel Wireless 8260 firmware version 25.30.14.0 (ABI 14)
  * Update to linux-support 4.2.0-1

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 18 Oct 2015 21:27:47 +0100

firmware-nonfree (0.44) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Switch to linux-support-3.16.0-4.

  [ Sophie Brun ]
  * iwlwifi: Add Intel Wireless 3160, 7260 7265 and 7265D firmware version
    23.11.10.0 (ABI 10)
  * iwlwifi: Update Intel Wireless 3160, 7260 and 7265 firmware to version
    25.228.9.0 (ABI 9)
  * realtek: Add RTL8192EE, RTL8723AU rev A with-Bluetooth and RTL8821AE
    WoWLAN firmware for use with the rtl8192ee, r8723au and rtl8821ae drivers
  * realtek: Update RTL8192CE/RTL8188CE, RTL8192CE/RTL8188CE B-cut and
    RTL8192DE firmware
  * realtek: Add RTL8107E-1, RTL8107E-2, RTL8168H-1 and RTL8168H-2 firmware
  * qlogic: Update QLogic ISP2422, ISP2432[M], SP222, SP232 and ISP2532
    firmware to version 7.03.00
  * linux-nonfree: Update Chelsio T4 and T5 firmware to version 1.12.25.0
  * bnx2x: Add Broadcom NetXtreme II 10Gb 57710, 57711 and 57712 firmware
    version 7.10.51.0
  * linux-nonfree: Add dvb-* firmwares. Xceive 4000 tuner firmware version
    1.4.1, Xceive 5000c tuner firmware version 4.1.30.7, DiBcom dib9135 DVB-T
    USB firmware and DiBcom dib9135 DVB-T USB firmware
  * linux-nonfree: Add UVD microcode for Radeon R600, RS780 and RV770
  * linux-nonfree: Add Radeon firmwares for kernel 3.17 and newer for HD 7790/
    8770/8950, HD 8500M series and R5 M200, R9 290 series, HD 8100/8200/8300/
    8400, R5/R7 IGP 200, "Mullins"/"Beema", HD 8500/8600/8700 series, HD 7800
    series, HD 7900 series, HD 7700 series
  * brcm80211: Add BCM43236 and BCM43143 USB firmware for use with brcmfmac
    driver
  * iwlwifi: Update Intel Wireless Bluetooth firmware patches; add Intel
    Wireless 3160 (B6) and 7265 (B0) Bluetooth firmware patches

  [ Ben Hutchings ]
  * Switch to linux-support-4.0.0-1
  * iwlwifi: Update Intel Wireless 3160, 7260 7265 and 7265D firmware to
    version 23.15.10.0 (ABI 10)
  * linux-nonfree: Update Radeon R5/R7 IGP 200 series MEC microcode to
    version 396
  * realtek: Update RTL8107E-1, RTL8107E-2, RTL8168H-1 and RTL8168H-2 firmware
    to version 0.0.2
  * iwlwifi: Update Intel Wireless Bluetooth firmware patches again
  * atheros: Update Atheros AR7010 and AR9271 firmware to version 1.3.1
  * libertas: Update Marvell PCIE8897, SD8787, SD8897 and USB8797 firmware
  * brcm80211: Update Broadcom BCM4354 firmware to version 7.35.79.57
  * atheros: Update Atheros AR3012 rev 01020201 patch to version 170
  * ti-connectivity: Remove TI WL18xx default configuration, as TI now
    recommends letting the driver use its built-in defaults

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 May 2015 20:25:28 +0100

firmware-nonfree (0.43) unstable; urgency=medium

  * iwlwifi: Add Intel Wireless 3160, 7260 and 7265 firmware version
    23.214.9.0 (ABI 9)
  * samsung: New package containing firmware for Samsung MFC video codecs
    used in Exynos SoCs (Closes: #749423)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 16 Jun 2014 00:49:44 +0100

firmware-nonfree (0.42) unstable; urgency=medium

  * Update to linux-support-3.14-1
  * iwlwifi: Update Intel Wireless 3160 and 7260 wifi firmware to version
    22.24.8.0 (ABI 8)
  * iwlwifi: Update Intel Wireless 3160 and 7260 Bluetooth firmware, fixing:
    - Issue with LED blinking
    - Issue with USB
    - No SCO data over EHCI
  * iwlwifi: Add Intel Wireless 7265 wifi and Bluetooth firmware, and
    Bluetooth firmware for a new revision of Intel Wireless 7260
  * bnx2x: Add Broadcom NetXtreme II 10Gb firmware version 7.8.19.0 (for
    Linux 3.15 onward)
  * bnx2x: Remove Broadcom NetXtreme II 10Gb firmware version 7.8.2.0 (for
    Linux 3.7-3.9)
  * linux-nonfree: Add Radeon VCE microcode, MC microcode version 2 and
    "Mullins"/"Beema" IGP microcode (Closes: #750463)
  * brcm80211: Add Broadcom BCM43143, BCM43362 and BCM4354 firmware for
    use with brcmfmac driver
  * realtek: Add RTL8723AU and RTL8723BE firmware for use with the
    rtl8723au and rtl8723be drivers
  * myricom: Update Myri-10G firmware to version 1.4.57

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 03 Jun 2014 23:31:13 +0100

firmware-nonfree (0.41) unstable; urgency=medium

  * To allow auto-removal of linux-image-* packages, do not suggest
    virtual package linux-image (Closes: #724560)
  * Update to linux-support-3.13-1
  * Fix wrapping of file lists in package description (Closes: #739798)
  * qlogic: Update QLogic ISP2422, ISP2432[M], SP222, SP232 and ISP2532
    firmware to version 7.01.00
  * linux-nonfree: Update Chelsio T4 firmware to version 1.9.23.0;
    add Chelsio T5 firmware
  * libertas: Update PCIE8897 firmware to version 15.69.2.p11 (WLAN) /
    15.28.2.p11 (BT); add SD8897 firmware
  * iwlwifi: Update Intel Wireless 3160 and 7260 firmware to version
    22.1.7.0 (ABI 7) and version 22.15.8.0 (ABI 8) (Closes: #738615)
  * linux-nonfree: Add Radeon HD 7790/8770/8950 series SMC microcode,
    Radeon R9 290 series and Radeon R5/R7 IGP 200 series microcode
  * brcm80211: Add Broadcom BCM43241, BCM4329, BCM4330, BCM4334 and
    BCM4335 firmware for use with brcmfmac driver
  * realtek: Add RTL8188EU firmware for use with the rtl8188eu driver,
    RTL8821AE firmware for use with the rtl8821ae driver and new
    RTL8192CU firmware for use with the rtl8192cu driver
  * iwlwifi: Update Intel Wireless 7260 Bluetooth firmware, fixing:
    - sometimes device doesn't response to HCI_reset after multiple reboot
    - issue with HCI stress testing
    - issue with some multi profile cases
  * iwlwifi: Add Intel Wireless 3160 Bluetooth firmware for use with
    the btusb driver
  * Add firmware-ti-connectivity package containing firmware for the
    Texas Instruments WL1251, WL127x, WL128x and WL18xx wireless network
    chips, for use with the wl1251, wl12xx and wl18xx drivers
    (Closes: #628676)
  * linux-nonfree: Update wildcards and date for files under the AMD
    licences
  * linux-nonfree: Update wildcard and date for files under the Chelsio
    licence
  * Suppress lintian warnings and errors due to our unusual mixture of
    licences
  * debian/control: Allow debhelper to add dependencies through
    ${misc:Depends}
  * ivtv, ipw2x00: Add one-line copyright notices above licence text
  * debian/control: Update Standards-Version to 3.9.5:
    - linux: Move to the 'non-free/metapackages' section
    - libertas, linux-nonfree: Use 'Breaks' relation rather than 'Conflicts'
      where files have been moved from another package

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Feb 2014 21:45:10 +0000

firmware-nonfree (0.40) unstable; urgency=low

  * Update to linux-support-3.10-2
  * linux-nonfree: Add Radeon SMC microcode (Closes: #717848)
  * linux-nonfree: Correct descriptions of Radeon chips using some
    microcode files
  * linux-nonfree: Add Radeon HD 7790/8770/8950 and 8100/8200/8300/8400
    series microcode

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 09 Aug 2013 00:28:02 +0200

firmware-nonfree (0.39) unstable; urgency=low

  * Update to linux-support-3.10-1
  * linux-nonfree: Add Broadcom BCM57766 firmware for use with tg3 driver
  * libertas: Add MWL8764 AP-mode firmware version 7.4.0.9 and PCIE8897
    firmware version 15.69.201.p52
  * iwlwifi: Remove list of model names from description
  * iwlwifi: Add Intel Wireless 3160 and 7260 firmware version 22.0.7.0
    (ABI 7) (Closes: #714754, #717005)
  * bnx2x: Add Broadcom NetXtreme II 10Gb firmware version 7.8.17.0 (for
    Linux 3.10 onward)
  * linux-nonfree: Add Radeon UVD microcode and update RLC microcode
    to support it (Closes: #704564)
  * linux-nonfree: Add Radeon HD 8500/8600 series and R5 M200 microcode
    (Closes: #717145)
  * realtek: Add RTL8723AE firmware for use with rtl8723ae driver
    (Closes: #708346)
  * realtek: Add RTL8188EE firmware for use with rtl8188ee driver
  * realtek: Add RTL8411-2 firmware version 0.0.1 for use with r8169 driver
  * atheros: Add AR3012 rev 41020000 firmware for use with ath3k driver
  * atheros: Add AR5523 firmware for use with ar5523 driver
    (Closes: #700826)
  * iwlwifi: Add Intel Wireless 7260 Bluetooth firmware patches for use
    with btusb driver

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 18 Jul 2013 06:44:55 +0100

firmware-nonfree (0.38) unstable; urgency=low

  * linux-nonfree: Add licence information for ENE UB6250 firmware
    (Closes: #697535)
  * ivtv, linux-nonfree: Replace Hauppauge's version of v4l-cx25840.fw with
    a version licenced directly by Conexant, in firmware-linux-nonfree
  * linux-nonfree: Add Conexant CX231xx, CX23418 (Closes: #697008) and
    CX23885 firmware
  * Update to linux-support-3.8-1
  * realtek: Update copyright information for PHY firmware used with r8169
    (Closes: #706912)
  * libertas: Move libertas/sd8688{,_helper}.bin into mrvl/ and add symlinks,
    for compatibility with both btmrvl and libertas_sdio drivers
  * libertas: Add Marvell 8366 AP firmware version 5.2.8.16 (ABI 3, for
    Linux 3.9 onward)
    - Add support for additional ampdu streams
    - Handle corresponding watchdog events to destroy ampdu streams
  * libertas: Add Marvell SD8787, SD8797 and USB8797 firmware for use with
    the mwifiex_sdio and mwifiex_usb drivers
  * netxen: Update QLogic Intelligent Ethernet firmware to version 4.0.590
  * linux-nonfree: Add Radeon HD 8500/8600/8700 series firmware
  * realtek: Add RTL8106E-2, RTL81868G-2 and RTL8168G-3 firmware patches
  * Include all symlinks in package descriptions

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 06 May 2013 06:14:40 +0100

firmware-nonfree (0.37) experimental; urgency=low

  * Update to linux-support-3.2.0-4
  * debian/README.source: Document the oddities of this source package
  * iwlwifi: Add new driver names and full Intel product names to package
    description
  * linux: Recommend intel-microcode, amd64-microcode (Closes: #692604)
  * qlogic: Update QLogic ISP2422/ISP2432[M]/SP222/SP232 and ISP2532
    firmware to version 5.08.00
  * linux-nonfree: Add Chelsio T3 firmware version 7.12.0 (for Linux 3.4
    onward)
  * linux-nonfree: Update Chelsio T4 firmware to version 1.6.2.0
  * libertas: Update SD8686 main code to version 9.70.20.p0
  * iwlwifi: Add Intel Wireless 6005/6205 firmware version 18.168.6.1 (ABI 6)
    (Closes: #697473)
    - Add support for WoWLAN and P2P
  * bnx2x: Add Broadcom NetXtreme II 10Gb firmware version 7.8.2.0 (for
    Linux 3.7 onward)
  * netxen: Update QLogic Intelligent Ethernet firmware to version 4.0.588
  * ralink: Add Ralink RT3290 firmware
  * linux-nonfree: Add Radeon HD 7700/7800/7900 series firmware and
    Radeon HD IGP 7500/7600 series firmware (Closes: #677813)
  * brcm80211: Update firmware to version 601.812
    - Add support for BCM4313 iPA variant
  * realtek: Revert RTL8192SU/RTL8712U firmware to original version
    - Fixes connection drops with ASUS WL-167G V3 and D-Link DWA131
  * realtek: Update RTL8192DE and RTL8192SE/RTL8191SE firmware to match
    vendor driver version 4.816.2011
  * realtek: Add RTL8192CE/RTL8188CE A-cut and B-cut firmware
  * realtek: Update RTL81868F-1 firmware to version 0.0.5
  * realtek: Add RTL8106E-1, RTL81868G-1, RTL8402-1 and RTL8411-1 firmware
    (Closes: #687927)
  * linux-nonfree: Add ENE UB6250 firmware (Closes: #687737)
  * atheros: Add firmware for AR6003, AR6004 and newer AR3012 revisions
  * Add firmware-adi package containing Analog Devices Inc. Eagle IV
    firmware for use with the ueagle-atm driver

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 06 Jan 2013 02:52:52 +0000

firmware-nonfree (0.36) unstable; urgency=low

  * debian/control: Set Multi-Arch: foreign
  * Update Chelsio T4 firmware to version 1.4.16.0
  * Update to linux-support-3.2.0-2
  * Add Chelsio T3 firmware version 7.10.0 (for Linux 2.6.36 onward)
  * Add Intel Wireless 105, 135, 2200, 2230 firmware
  * Update Intel Wireless 6030 firmware to version 18.168.6.1 (ABI 6)
    (Closes: #658123, #675425)
  * Remove Intel Wireless firmware not required by Linux 2.6.32, 3.2 or 3.3
  * Update Broadcom NetXtreme II firmware for use with Linux 3.3
    (Closes: #664762)
    - Fixes iSCSI problems with some LeftHand targets
  * Remove Broadcom NetXtreme II firmware not referenced by Linux 2.6.32,
    3.2 or 3.3
  * Update Realtek RTL8168E-3 and RTL8168F firmware to version 0.0.4
    - Stability fixes
  * Update QLogic QLA2300/ISP2312/SP202 and ISP2322/SP212 firmware to
    version 3.03.28
  * Update QLogic ISP2422/ISP2432[M]/SP222/SP232 and ISP2532 firmware to
    version 5.06.05

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 12 Jun 2012 16:08:50 +0100

firmware-nonfree (0.35) unstable; urgency=low

  * Add version to firmware-libertas's conflict with libertas-firmware so
    it can coexist with the current transitional package
  * Add Realtek RTL8168F firmware for use with r8169 driver
  * Update Realtek RTL8168E-3 firmware to version 0.0.3
  * Replace Broadcom NetXtreme II 10Gb firmware version 6.2.9.0
    (for Linux 3.0) with version 7.0.29.0 (for Linux 3.2)
  * Update to linux-support-3.2.0-1

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jan 2012 03:24:38 +0000

firmware-nonfree (0.34) unstable; urgency=low

  [ Ben Hutchings ]
  * Add Marvell Libertas 8xxx firmware, replacing libertas-firmware package
    (Closes: #609856)
  * Set the upstream homepage URL to the current gitweb page for
    linux-firmware.git (except for ipw2x00, ivtv and qlogic packages)
  * Replace Broadcom NetXtreme II 10Gb firmware versions 6.0.34.0
    (for Linux 2.6.37) and 7.0.20.0 with versions 6.2.9.0 and 7.0.23.0
    (for Linux 3.0 and 3.1)
  * Update Chelsio T4 firmware to version 1.3.10.0
  * Update Intel Wireless 6005 firmware to version 17.168.5.3 (Closes: #632701)
    - Add "low temperature" support
  * Update Realtek RTL8192SU/RTL8712U firmware to match vendor driver
    version 2.6.6
  * Add Realtek RTL8192DE firmware for use with rtl8192de driver
  * Update Atheros AR3012 firmware
    - Keep the same vendor and product ID after firmware is loaded

  [ dann frazier ]
  * Update netxen firmware to 4.0.579

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 02 Nov 2011 13:35:24 +0000

firmware-nonfree (0.33) unstable; urgency=low

  * Update to linux-support-3.0.0-1
  * Add Atheros AR3012 firmware for use with ath3k

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jul 2011 16:29:32 +0200

firmware-nonfree (0.32) unstable; urgency=low

  * Update to linux-support-2.6.39-2
  * Install Realtek RTL8192SE/RTL8191SE firmware for use with rtl8192se
    (Really closes: #609784)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 05 Jul 2011 05:56:42 +0100

firmware-nonfree (0.31) unstable; urgency=low

  * Add version 39.31.5.1 (ABI 5) of Intel Wireless 1000 firmware
    (Closes: #627334)
  * Update to version 9.221.4.1 (ABI 4) of Intel Wireless 6000 firmware
    - Fixes microcode crash in some configurations (Closes: #626965)
  * Add Realtek RTL8192SE/RTL8191SE firmware for use with rtl8192se
    (Closes: #609784)
  * Add Chelsio T4 firmware for use with cxgb4
  * Add version 7.0.20.0 of Broadcom NetXtreme II 10Gb firmware for use
    with bnx2x in Linux 3.1+
  * Add AMD Fusion GPU firmware for use with radeon
  * Update newer Atheros AR7010 and AR9271 firmware to version 1.3
    (Closes: #631394)
  * Add firmware-myricom package for use with the myri10ge driver

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 04 Jul 2011 05:43:08 +0100

firmware-nonfree (0.30) unstable; urgency=low

  [ Ben Hutchings ]
  * Update to linux-support-2.6.38-2 (Closes: #620171)
  * Make firmware-realtek trigger update-initramfs (Closes: #617645)
  * Correct list of chips supported by brcm80211, thanks to Jani Reunanen
  * Update Ralink RT2800-family firmware (Closes: #601416):
    - Update firmware for RT2860 and other PCI and PCIe chips to version 34
    - Update firmware for RT2870 and other USB chips to version 29
      (Closes: #616017)
  * Add firmware for HTC devices using Atheros AR7010 and AR9271
  * Add new version of bnx2 firmware from Linux 2.6.39
  * Remove bnx2 firmware not referenced by Linux 2.6.32, 2.6.38 or 2.6.39
  * Update brcm80211 firmware to version 610.811
    - Unspecified stability fixes
  * Add Realtek RTL8192CU/RTL8188CU firmware for use with rtl8192cu,
    thanks to Geoff Simmons (Closes: #625614)
  * Add Realtek RTL8192CE/RTL8188CE firmware for use with rtl8192ce
    (Closes: #613536)
  * Add Realtek RTL8105E-1 and RTL8168E-1/2/3 firmware for use with r8169

  [ dann frazier ]
  * Update netxen firmware to 4.0.550

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 18 May 2011 05:19:49 +0100

firmware-nonfree (0.29) unstable; urgency=low

  * Update Atheros AR9271 firmware (ar9271.fw):
    - Enable bluetooth coexistence
    - Fix disconnection issue with WEP and TKIP noticed in some APs
  * Add Intel Wireless 100 firmware
  * Add new version of Intel Wireless 5000 firmware
  * Add new versions of bnx2 firmware from Linux 2.6.38 (Closes: #615972)
  * Add Radeon HD 'Northern Islands' 6300/6500/6800/6900-family firmware
    for use with Linux 2.6.38
  * Add AMD Fusion C-series GPU firmware for use with Linux 2.6.38
  * Add VIA VT6656 firmware for use with vt6656 driver

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 06 Mar 2011 19:31:33 +0000

firmware-nonfree (0.28) unstable; urgency=low

  [ Ben Hutchings ]
  * Add new versions of bnx2 firmware from Linux 2.6.37 (Closes: #598470)
  * Remove bnx2 firmware versions not used by the driver in any suite
  * Add new versions of bnx2x firmware from Linux 2.6.37
  * Update intelwimax firmware from Linux 2.6.35
  * Add firmware for devices supported by ar9170 and ath9k_htc to
    firmware-atheros (Closes: #558740)
  * Add Realtek RTL8111D/RTL8168D firmware to firmware-realtek
    (Closes: #564628)
  * Add Realtek RTL8192SU/RTL8712U firmware for use with r8712u to
    firmware-realtek (Closes: #602450)
  * Update Atheros AR3011 firmware (ath3k-1.fw):
    - Fix EEPROM radio table issue and change PID to 3005
  * Add Intel Wireless 6005 and 6030 firmware
  * Add new version of Intel Wireless 6250 firmware

  [ dann frazier ]
  * Update netxen firmware to 4.0.534 (Closes: #606289)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Jan 2011 02:40:16 +0000

firmware-nonfree (0.27) unstable; urgency=low

  [ Ben Hutchings ]
  * Correct version number for ipw2200 firmware
  * Refer to index pages for ipw2100 and ipw2200 firmware
  * Add bug presubj message directing users to report driver bugs against
    the appropriate package
  * Add firmware-brcm80211 binary package for use with the brcm80211 driver
    (Closes: #597034)

  [ dann frazier ]
  * Add firmware-netxen binary package

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 18 Sep 2010 01:31:00 +0100

firmware-nonfree (0.26) unstable; urgency=low

  * Add Multi-Tech USB cellular modem firmware (Closes: #588097)
  * Change file listing in linux-nonfree/LICENSE to follow draft DEP-5
    for machine-readable copyright files

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 06 Jul 2010 00:36:32 +0100

firmware-nonfree (0.25) unstable; urgency=low

  * Update rtl8192su to version 902B (Closes: #581554)
  * Add/update Ralink RT3070/RT3071/RT3072 firmware for use with Linux
    2.6.34
  * Add Radeon HD 'Evergreen' 5400/5500/5600/5700/5800-family firmware
    for use with Linux 2.6.34
  * Add firmware-atheros package containing Atheros AR3011 firmware for
    use with the ath3k driver added in Linux 2.6.34
  * Add Intel Wireless 6250 firmware (iwlwifi-6050-4.ucode)
    (Closes: #585111)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 11 Jun 2010 04:21:38 +0100

firmware-nonfree (0.24) unstable; urgency=low

  * Update to linux-support-2.6.32-5.
  * Add firmware-realtek package containing:
    - Realtek RTL8192E firmware for use with rtl8192e driver, thanks to
      Geoff Simmons (Closes: #573950)
    - Realtek RTL8192SU firmware for use with rtl8192su driver, thanks to
      Stefan Lippers-Hollmann (Closes: #579694)
  * Update iwlwifi-6000 to 9.193.4.1.
  * Add copyright and licence text for radeon/R{6,7}00_rlc.bin to
    firmware-linux-nonfree (Closes: #576104)
  * Merge preinstallation license note and question (Closes: #574145)
  * Bump standards to 3.8.4, no changes required.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 May 2010 23:19:05 +0100

firmware-nonfree (0.23) unstable; urgency=low

  * Update firmware-qlogic description to specify supported chips as
    named in pci-ids (Closes: #513140)
  * Update hardware list in firmware-ralink description
  * Correct some version numbers in firmware-ralink description
  * Add Ralink RT3000E[D] firmware (rt3090.bin) for use with rt3090sta
  * Update Ralink RT2800U[D] firmware (rt2870.bin) from Linux 2.6.32
  * Add Radeon R600/R700-family RLC firmware for use with Linux 2.6.33
    and Debian kernel package 2.6.32-10 (Closes: #565437)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 04 Mar 2010 22:35:56 +0000

firmware-nonfree (0.22) unstable; urgency=low

  [ maximilian attems ]
  * Add iwlwifi-1000-3.ucode.
  * Add iwlwifi-6000-4.ucode.

  [ Ben Hutchings ]
  * Update Radeon firmware for use with Linux 2.6.32 (Closes: #558023)
  * Change URI for firmware-linux-nonfree to refer to David Woodhouse's
    linux-firmware.git repository (Closes: #558033)
  * Include names of all firmware files in package descriptions
    (Closes: #553710)
  * Do not include 'version unknown' in package descriptions
  * Update Broadcom NetXtreme II firmware for use with Linux 2.6.32
    (Closes: #560065)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Dec 2009 03:44:03 +0000

firmware-nonfree (0.21) unstable; urgency=low

  * Update to linux-support-2.6.31-1.
  * Upload to unstable.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 25 Oct 2009 18:44:41 +0000

firmware-nonfree (0.20) experimental; urgency=low

  [ Ben Hutchings ]
  * firmware-linux-nonfree Replaces and Conflicts with old firmware-linux
    (Closes: #551146)
  * Update upstream URL for firmware-ralink (Closes: #551975)
  * Add AdvanSys SCSI controller firmware for use with advansys driver
    (Closes: #535922)
  * Add firmware-intelwimax package, initially containing Intel WiMAX
    Connection 2400 USB firmware for use with i2400m-usb driver
    (Closes: #550917)
  * Update description of firmware-bnx2 contents, thanks to
    Geoff Simmons <gsimmons@gsimmons.org> (Closes: #536050)
  * Include module/driver names in descriptions of all specific packages
    (Closes: #510220)

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Oct 2009 22:16:37 +0200

firmware-nonfree (0.19) experimental; urgency=low

  [ dann frazier ]
  * Correct 'Homepage' control data for firmware-bnx2 and firmware-bnx2x
    (closes: #546899)

  [ Ben Hutchings ]
  * Make firmware-linux a metapackage and move previous contents to
    firmware-linux-nonfree
  * Add Agere/Prism/Symbol Orinoco firmware for use with orinoco driver
  * Add Xceive 5000 tuner firmware for use with xc5000 driver
  * Add DiBcom dib0700 USB DVB bridge firmware for use with
    dvb-usb-dib0700 driver
  * Update linux-support build-dep to 2.6.31-trunk

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 14 Oct 2009 03:25:41 +0100

firmware-nonfree (0.18) unstable; urgency=low

  [ maximilian attems ]
  * Add iwlwifi-5000-2.ucode. (closes: #532207)
  * Add iwlwifi-5150-2.ucode.
  * Update iwlwifi-4945 to 228.61.2.24.

  [ Ben Hutchings ]
  * Fix Matrox G200/G400/G550 firmware image format (closes: #531367)
  * Add Broadcom Tigon3 firmware for use with tg3 driver (closes: 543233)
  * Add QLogic IBA7220 serdes firmware for use with ip_iband driver
  * Add Chelsio T3 firmware for use with cxgb3 driver
  * Add Ralink RT3071/RT3072/RT3090 firmware for use with rt3070sta driver
  * Update rt2870.bin

 -- Bastian Blank <waldi@debian.org>  Wed, 02 Sep 2009 09:00:58 +0000

firmware-nonfree (0.17) unstable; urgency=low

  [ maximilian attems ]
  * templates/control.source.in: section non-free/kernel.
  * Update iwlwifi-3945 to 15.32.2.9. (closes: #526114)
  * linux/defines: Fix upstream url.

  [ Ben Hutchings ]
  * Add Radeon RS600, R600-family and R700-family firmware (closes: #532040)
  * Add Ralink RT2860/RT2890 and RT2870 firmware.
  * Add firmware for use with ivtv and pvrusb2 drivers (closes: #524230),
    thanks to Ian Campbell <ijc@hellion.org.uk>.
  * Fix grammatical errors in the templates for package descriptions,
    copyright files and EULA prompts
  * Add myself to Uploaders
  * Update linux-support build-dep to 2.6.30-1

  [ dann frazier ]
  * Fix subject-verb agreement problem in firmware-linux description.
    (Closes: #524382)
  * Update firmware-linux description to clarify the reasoning for the
    bundled nature
  * Add new firmware-bnx2x package (closes: #509646)
  * Add bnx2 firmware from Linux 2.6.30-rc7

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 16 Jun 2009 04:03:38 +0100

firmware-nonfree (0.16) unstable; urgency=low

  * Update Intel Pro 2200/2915 firwmare, version 3.1. (closes: #521531)
  * Update qlogic firmwares: ql2300_fw.bin-3.03.27, ql2322_fw.bin-3.03.27,
    ql2400_fw.bin-4.04.05, ql2500_fw.bin-4.04.05. (closes: #509693)

 -- maximilian attems <maks@debian.org>  Wed, 01 Apr 2009 16:38:02 +0200

firmware-nonfree (0.15) unstable; urgency=low

  [ Ben Hutchings ]
  * Add 3Com Typhoon (3CR990) firmware.
  * Add ATI Rage 128 and Radeon firmware.
  * Add BayCom DAB-USB firmware.
  * Add Intel PRO/100 firmware.
  * Add Kawasaki LSI KL5KUSB101 firmware.
  * Add Matrox G20/G400/G550 firmware.
  * Add QLogic QLA1xxx firmware.
  * Add Tehuti network card firmware.

  [ Bastian Blank ]
  * Remove own initramfs-hook.

  [ maximilian attems ]
  * Update iwlwifi-4965 to 228.57.2.23. (closes: #502326)
  * Add iwlwifi-5000-1.ucode. (closes: #497717)
    Thanks Frank Lin PIAT <fpiat@klabs.be> for patch.
  * Update iwlwifi-3945 to 15.28.2.8. (closes: #497593)
  * Bump standards to 3.8.1, no changes required.

  [ dann frazier ]
  * Update linux-support build-dep to 2.6.29-1.
  * Update bnx2 firmware to 2.6.29.

 -- maximilian attems <maks@debian.org>  Fri, 27 Mar 2009 12:34:17 +0100

firmware-nonfree (0.14) unstable; urgency=low

  * Generate license acceptation prompt, based on sun-java5. (closes: #504668)
  * Add Intel Pro 2100 firwmare, version 1.3. (closes: #504671)
  * Add Intel Pro 2200/2915 firwmare, version 3.0. (closes: #449235)

 -- Bastian Blank <waldi@debian.org>  Tue, 02 Dec 2008 18:07:12 +0100

firmware-nonfree (0.13) unstable; urgency=low

  * Make firmware-bnx2 trigger update-initramfs (closes: #494936)
  * Update to 2.6.26-1 (closes: #500692)
  * Update Intel Wireless 3945 firmware, version 15.28.1.6.
    (closes: #494703)

 -- dann frazier <dannf@debian.org>  Thu, 02 Oct 2008 11:58:37 -0600

firmware-nonfree (0.12) unstable; urgency=low

  * Remove Intel Wireless 3945 (old style) firmware.
  * Update Intel Wireless 4965 firmware, version 228.57.1.21.
    (closes: #489684)
  * Add Intel Wireless 4965 firmware, version 228.57.2.21.

 -- Bastian Blank <waldi@debian.org>  Mon, 07 Jul 2008 11:19:42 +0200

firmware-nonfree (0.11) unstable; urgency=low

  [ Bastian Blank ]
  * Update QLogic QLA24XX firmware, version 4.04.00.
  * Add QLogic QLA25XX firmware, version 4.04.00.
  * Add Broadcom NetXtremeII firmwares.

  [ dann frazier ]
  * Correct path to initramfs.conf file in postinst. (closes: #432042)

 -- Bastian Blank <waldi@debian.org>  Sun, 18 May 2008 14:26:49 +0200

firmware-nonfree (0.10) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding Vcs fields in control.

  [ Bastian Blank ]
  * Update iwl4965 firmware, version 4.44.1.20. (closes: #463052)
  * Updating to 2.6.24-1.
  * Drop udeb support.
  * Drop old variants of iwlwifi firmwares.

 -- Bastian Blank <waldi@debian.org>  Thu, 31 Jan 2008 20:24:12 +0100

firmware-nonfree (0.9) unstable; urgency=low

  * Merging rt61 and rt73 to ralink as requested by Bastian.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 21:02:00 +0100

firmware-nonfree (0.8) unstable; urgency=low

  * Applying patch from Ben Hutchings <ben@decadent.org.uk> to update
    gencontrol.py for linux-support-2.6.22-3.
  * Check for already included firmware by initramfs-tools own functions
    (Closes: #440967).
  * Applying patch from Ben Hutchings <ben@decadent.org.uk> to add
    ralink rt61 firmware, version 1.2.
  * Applying patch from Ben Hutchings <ben@decadent.org.uk> to add
    ralink rt73 firmware, version 1.8.
  * Bumping package to debhelper 5.
  * Removed some useless whitespaces at EOL and EOF.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 15:58:00 +0100

firmware-nonfree (0.7) unstable; urgency=low

  * Set section to non-free/admin.
  * Added iwl3945 firwmare, version 2.14.1.5,
    Added iwl4965 firmware, version 4.44.1.18. (closes: #435304)

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Aug 2007 10:09:19 +0200

firmware-nonfree (0.6) unstable; urgency=low

  * Drop Daniel from Uploaders.
  * Add content lists. (closes: #393469)
  * Update qlogic firmwares.
  * Merge iwl3945 and iwl4965 into iwlwifi.

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Jul 2007 22:52:06 +0200

firmware-nonfree (0.5) unstable; urgency=low

  * Building against 2.6.21-2.
  * Added myself to uploaders.
  * Updated ipw3945.ucode to version 1.14.2.
  * Added iwl3945 firwmare, version 2.14.4.
  * Added iwl4965 firmware, version 4.44.15.

 -- Daniel Baumann <daniel@debian.org>  Thu,  5 Jul 2007 01:16:00 +0100

firmware-nonfree (0.4) unstable; urgency=low

  * Build-depend on linux-support-2.6.18-4; closes: #414773.
  * Add myself to uploaders.

 -- Steve Langasek <vorlon@debian.org>  Wed, 14 Mar 2007 03:32:31 -0700

firmware-nonfree (0.3) unstable; urgency=low

  * Rename qlogic initramfs-tools hook, closes: #386175
  * Make initramfs-tools hooks executable, closes: #386172
  * Bump standars to 3.7.2, no changes required.

 -- Frederik Schüler <fs@debian.org>  Wed,  6 Sep 2006 11:10:29 +0200

firmware-nonfree (0.2) unstable; urgency=low

  * Release into unstable.
  * Build-depend on linux-support-2.6.17-2.

 -- Frederik Schüler <fs@debian.org>  Tue,  5 Sep 2006 17:36:33 +0200

firmware-nonfree (0.1) experimental; urgency=low

  [ Frederik Schüler ]
  * Initial release.

 -- Bastian Blank <waldi@debian.org>  Fri,  2 Jun 2006 22:19:21 +0200
